<?php

////////////////////////////////////////
// Encodage du fichier : UTF-8
// Utilisation des tabulations : Non
// 1 tabulation = 4 caractères
// Fins de lignes = LF (Unix)
////////////////////////////////////////

///////////////////////////////
// LICENCE
///////////////////////////////
//
// © DUCARRE Cedric, Bubulles Creations, (01/03/2006)
//
// webmaster@jebulle.net
// http://jebulle.net
//
// Rootulle est un script PHP qui permet de disposer d'une page personnalisée
// pour la description du contenu d'un dossier et du serveur sur lequel Rootulle
// est exécuté.
//
// Ce logiciel est régi par la licence CeCILL soumise au droit français et
// respectant les principes de diffusion des logiciels libres. Vous pouvez
// utiliser, modifier et/ou redistribuer ce programme sous les conditions
// de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
// sur le site "http://www.cecill.info".
//
// En contrepartie de l'accessibilité au code source et des droits de copie,
// de modification et de redistribution accordés par cette licence, il n'est
// offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
// seule une responsabilité restreinte pèse sur l'auteur du programme,  le
// titulaire des droits patrimoniaux et les concédants successifs.
//
// A cet égard  l'attention de l'utilisateur est attirée sur les risques
// associés au chargement,  à l'utilisation,  à la modification et/ou au
// développement et à la reproduction du logiciel par l'utilisateur étant
// donné sa spécificité de logiciel libre, qui peut le rendre complexe à
// manipuler et qui le réserve donc à des développeurs et des professionnels
// avertis possédant  des  connaissances  informatiques approfondies.  Les
// utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
// logiciel à leurs besoins dans des conditions permettant d'assurer la
// sécurité de leurs systèmes et ou de leurs données et, plus généralement,
// à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
//
// Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
// pris connaissance de la licence CeCILL, et que vous en avez accepté les
// termes.
//
///////////////////////////////

/**
 * Rootulle - Index d'une racine de serveur web.
 *
 * Donne la liste des sites / dossiers présents à la racine de votre serveur Web.
 * Ce fichier est à placer dans votre dossier /www.
 *
 * @author SamRay1024 <mailto:webmaster@jebulle.net> <http://jebulle.net>
 * @copyright Bubulles Creations
 * @link http://jebulle.net
 * @name Rootulle
 * @since 05/06/2006
 * @version 0.4.1
 */

// =============================================================================
// Configuration de Rootulle - A MODIFIER SELON VOS BESOINS
//

// Configuration générale
define( 'JB_RT_TITRE',                     'Rootulle' );                    // Titre de la page
define( 'JB_RT_SOUS_TITRE',                '...ou l\'index autrement' );    // Sous-titre

// Section informations générales
define( 'JB_RT_AFFICHER_INFOS',            true );                          // Afficher la section

// Les éléments suivants ne seront affichés que si la section informations générales l'est
define( 'JB_RT_AFFICHER_INFOS_SERVEUR',    true );                          // Afficher la fiche serveur
define( 'JB_RT_AFFICHER_INFOS_SQLITE',     true );                          // Afficher la fiche SQLite
define( 'JB_RT_AFFICHER_INFOS_MYSQL',      true );                          // Afficher la fiche MySQL
define( 'JB_RT_AFFICHER_INFOS_PGSQL',      true );                          // Afficher la fiche PostGreSQL
define( 'JB_RT_AFFICHER_INFOS_GD',         true );                          // Afficher la fiche GD

// Section configuration PHP
define( 'JB_RT_AFFICHER_CONFIG',           true );                            // Afficher la section

// Section exploration (Toujours affichée)
define( 'JB_RT_LISTE_AVEC_POIDS',          true );                            // Afficher la colonne des poids des dossiers listée (prend plus de ressources)

// Menu des outils
define( 'JB_RT_AFFICHER_OUTILS',           true );                            // Afficher le menu

// Nom des dossiers des outils
define( 'JB_RT_NOM_DOSSIER_PHPMYADMIN',    'phpmyadmin' );     // Nom du dossier dans lequel se trouve PhpMyAdmin
define( 'JB_RT_NOM_DOSSIER_ESKUEL',        'eskuel' );         // Nom du dossier dans lequel se trouve Eskuel
define( 'JB_RT_NOM_DOSSIER_PHPPGADMIN',    'phppgadmin' );     // Nom du dossier dans lequel se trouve PhpPgAdmin
define( 'JB_RT_NOM_DOSSIER_SQLITEMAN',     'sqlitemanager' );  // Nom du dossier dans lequel se trouve SQLiteManager


// Nom des dossiers qui ne doivent pas être affichés dans la liste (entres '' ou "", sépararés par des virgules).
// Exemple : $aElementsAFiltrer = array( 'MonDossier1', 'MonDossier2', 'mon_dossier_3' );
$aElementsAFiltrer = array();

// Informations de connexion à la base MySQL.
// Ces renseignements sont facultatifs et ne sont à utiliser que si votre serveur interdit les
// connexions anonymes et que sous souhaitez à tout prix récupérer les infos MySQL.
define( 'JB_RT_MYSQL_HOST',                'localhost' );                   // Adresse du serveur MySQL (ex : localhost ou 127.0.0.1 ou 192.168.0.30 ou mysql.votrehebergeur.com)
define( 'JB_RT_MYSQL_LOGIN',               '' );                            // Nom de l'utilisateur
define( 'JB_RT_MYSQL_MDP',                 '' );                            // Mot de passe

// Informations de connexion à la base PostgreSQL
define( 'JB_RT_PGSQL_HOST',                'localhost' );
define( 'JB_RT_PGSQL_LOGIN',               '' );
define( 'JB_RT_PGSQL_MDP',				   '' );

// FIN DE LA CONFIGURATION - N'EDITEZ LE RESTE QUE SI VOUS SAVEZ CE QUE VOUS FAITES ;-)

define(	'JB_RT_PAGE_NAME',					basename(__FILE__));


// ================
// IMAGES
//
$fond = "R0lGODlhBgAGAIAAAIFmR3JXNyH5BAAAAAAALAAAAAAGAAYAAAIJhB0HeYzqlgIFADs=";

$header_fond = "
iVBORw0KGgoAAAANSUhEUgAAAAEAAABkCAIAAADITs03AAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAHKSURBVHjaYmjO9AIIICYGBgaAAGL6z8AAEEBMDP8ZAAIIyP4PEEAgPkAAgfgAAQTiAwQQiA0QQED2f4AAArEBAgjEBgggkDhAAIHUAAQQ0///DAABBOIDBBBIHCCAQPIAAQRiAwQQ
SAwggEA0QACB+AABBBIHCCCQWoAAAtL/AQIIRAMEEEgcIICA8v8BAghEAwQQSB1AAIHMAAggEA0QQCA+QACBxAECCEQDBBBIHUAAgdgAAQRiAwQQSA4ggEBqAAIIRAMEEIgPEEAgcYAAAskDBBDIXIAAApkPEEAgGiCAQDRAAIHkAQIIJA8QQCB5gAAC0QABBOIDBBBIHCCAQPIAAQSiAQIIRAMEEEgfQACB5AECCCQPEEAgeYAAApkLEEAgGiCA
QHyAAAKJAwQQSB4ggEBsgAACsQECCEQDBBBIDiCAQGoAAghEAwQQiA8QQCBxgAAC0QABBFIHEEAg/wAEEIgGCCCQuQABBDIfIIBA4gABBFIHEEAgGiCAQHyAAAKJAwQQiA0QQCAxgAACmQEQQCC1AAEE4gMEEEgcIIBA8gABBGIDBBCIDRBAIHGAAAKxAQIIpAYggEB8gAAC8QECiMnZTA0gwAAwGXUp1v4PyAAAAABJRU5ErkJggg==
";

$h3_fond = "
iVBORw0KGgoAAAANSUhEUgAAAAEAAAAyCAYAAACd+7GKAAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAECSURBVHjaYri5u+o/QAAx/WdgYAAIICaG//8ZAAKICYgZAAIIyP3PABBAQC4DA0AAgbkAAQTmAgQQkPWfASCAwFyAAAKzAAIIzAIIIDALIIDABEAAgbkAAcT0D0gCBBCYCxBAYC5A
AIFZAAEEFgMIIDALIIDAYgABBGYBBBDTv3//GQACCMwCCCCwGEAAgVkAAQRWBxBAYBZAAIHFAAIIzAIIILAYQACBuQABBOYCBBCYAAggMBcggMAsgAACswACCMwCCCCw+wACCMwFCCCwmwECCMwFCCAwFyCAwD4CCCAmXQ1pBoAAAnqPYT9AADEBiQsAAcQMJF4ABBADSBtAgAEApsRy4X68yg0AAAAASUVORK5CYII=
";

$h4_fond = "
iVBORw0KGgoAAAANSUhEUgAAAAEAAAAZCAIAAAB/8tMoAAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAACASURBVHjaYri5uwoggJhfP/8EEEBMjIwMAAHEBCQAAgiIGAECiAnIAAggEA0QQECaCSCAQGyAAAKJAwQQEzMTE0AAgdgAAQTCAAEEEgYIIBANEEAgDBBAIHGAAALJAwQQiA0QQCBh
gAAC6QMIIBAbIIBANEAAgcQBAghkLkCAAQDqnwVsdgzCKAAAAABJRU5ErkJggg==
";

$sousmenu_bande = "
iVBORw0KGgoAAAANSUhEUgAAAB4AAAABCAIAAABG0om7AAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAAsSURBVHjaYty+egIjFDAxMUEIJhAJBcxQkhlOMcOEmZEUMCFpBBkFxAABBgDJXwKWZgGKewAAAABJRU5ErkJggg==
";

$onglet_left = "
iVBORw0KGgoAAAANSUhEUgAAAAoAAAAeCAYAAAAVdY8wAAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAGjSURBVHjaYvn//z8DIyMjAxoACbAAMQeUZgIIIEYsCtmBWISHi0Obh4vdkpmZSRKkESCA0BXyCAvwOPBycxRJSYg6aqqrMAgJ8YMlAAIIWSG7orRoo5AgX3lMhB+DtYEKw7cvnxj+
/PoJVggQQDCFjNJigg4SYkL72mqyGBi/v2d4+eQBw/9//+DuAQggFijNxsnOlpMQHcjA+OMDw8vH9yGmILkdIICYQISMuJCqrKxkkLmeAsOrJ/cZGIGi6BgggMAmcrCzOhrqazF8//SBgYkRFjqoACCAWKBWiAsK8DL8+fMLW5iCAUAAsSBzmICKmJiwKwQIIBSFjEBFjDgUAgQQC3KsMeIxESCAWJBjF2QaLoUAAcSCnApAaphweAYggFDdiMdq
gABCdSMezwAEEGrwgNzIjF0hQAChegZsNRNWhQABhOoZPL4GCCAMN+JSCBBAKFaDgoYZh0KAAEKzmgGniQABRHSiAAggtETBhNPXAAGEsBoW1zjCESCA0KKQAWfMAAQQqq/xBA9AAGGmRxypByCA0JIZbhMBAojohAsQYADpBDgsBBcalwAAAABJRU5ErkJggg==
";

$onglet_right = "
iVBORw0KGgoAAAANSUhEUgAAASIAAAAeCAYAAACIcRPUAAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAALLSURBVHjaYmRgYBBmGAWjYBSMAtqBf0D8B4h/QOn/yJL///9nAAggRmlxwZmj4TQKRsEooCH4//fvv+dfvv08/uXbj6tA/hsg/olcEAEEEGNpTsz/0XAaBaNgFNASvHv3keH6zTsM
z1683v/564++tx++HAAKf4EVRAABxLhnUcNoQTQKRsEooClgYWNn4OLhYzh64Q7DkhWbGN69/9R5/+nrelDLCFQQAQQQ46LGqNGCaBSMglFAc8DIxMQgLqPA8J9TkKGqZRrDi1fvnJ6+en8AWBD9BwggFkZGxtEQGgWjYBTQHgBbPi8f32cQl2NkSIgOZJg4bXEOUPQYqFUEEEAsjEyj4TMKRsEooB949eQ+g7mhBYOsrGTQj1+/VYFCVwACiIVp
tEU0CkbBKKAz+P7pA4OhvhbD4yfPnUAFEUAAjXbNRsEoGAV0B79//WAQFxVkAJY/8iA+QACxMDGNFkSjYBSMAnqD/wwsLCwMwNKHDcQDCCAWxtGCaBSMglFAZ4Be7gAE0GiLaBSMglFAd4A+Ng0QQKMF0SgYBaNgQFpEyCUPQACNzpqNglEwCujfIgKXRoiyByCARltEo2AUjIIBaREhA4AAGh2sHgWjYBQMeEEEEEAsTMyjBdEoGAWjgP4FEfKo
EEAAAbtmo3s8RsEoGAX0BZByB1ESAQTQ6BjRKBgFo4D+BRFasQMQQKMF0SgYBaNgQLpmDEidMYAAYmEeLYhGwSgYBXRvEaGuIwIIoNEW0SgYBaOA/gURuNxBlD0AATRaEI2CUTAKBrxFBBBAo7Nmo2AUjAK6A/AYEVJJBBBAo+uIRsEoGAX0bxGhlTsAATS6snoUjIJRMABNIkaUvWYAATQ6RjQKRsEooH+LCG33PUAAje6+HwWjYBTQvyBiQC13
AAJotEU0CkbBKKB/zwxtjgwggEYLolEwCkbBwHTNkHpjAAEGABoGcHDMIuAXAAAAAElFTkSuQmCC
";

$help = "
iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAACXBIWXMAAAsSAAALEgHS3X78AAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAKVklEQVR42mL8//8/Ay7AxMTIyAikQGwgi/HP339/uLnY+SyMlH0VpfhdGP//lvnz+++/D9/+3Lv16NPO2/df7Pr18+c3oD7mf//+
/2UgAgAEECMuBwANAVsMNOgfMxMT099///7pqEk6JoRY9guz/9Bj+/We8f/PLwxfPrxj+PzlB8OHv5x/Hv0QOrnv7POSp89enwBqYQJq+UfIAQABhNUBIJ8DLf7Px87IJcDJqP3r1/9f0vJimvmpnrOYPtznFWT5/peLm4vh5/fvjEB7gKHD9P/DmxcMT56/ZX7KIP955aHnIY+fvNoFczg+BwAEEIYDQD4H+VpdjFE12IRrpq66pPmHr38ZGWWN
mf59fMEm/OvxPy4BIebfv/8wsLOzM4jKyDGwc/MxfAWGxLun9/88uv+Q5dxnmQeLd993AjrwPijq/uOJZ4AAYkGxHKgY6PF/3KyMrEWubHPMDRXtWNhY/33lFGT6/IvhP8ebmwwMfBzMn96+YWBlZWZgYWZiuHvrNsP37z8Zfn37yvD7zx+W/8B0IsfyVEFNXigLaGQpEyMDMBkx4HQAQACxoIYHRLEYH4O2lAin5bdv3/59ffWV8Z2A+H/mry8Z
uJj/MP78+ZuB8e8vhi+/WBgeP3vLwMfwh0GEi4WBk4OVgZGdieEzGzsTy8cvDIrc/10YGZmFgZ5/iy8UAAKIBYfDOP79/cf099cPpp9/GBj+MrIzsP56xsDGysLw+xcwwX39wfDj538GDVEuBlkxYQYOLjYGUFoAJgaQV4HBKMTw+ssT+V3M/+SAZgEdAM5JWHMFQAAxofHBrvz8g+Hup2+/3zGBchIwgbGxsjKw/PvF8OnTZ4anrz8y/P39n8FU
ToBBRUaIgQtkOUjX378M/4Hp4t/P34wMLCx/taW5BNVkePPBhv5nwJkQAQIIxQGglA8Krjdf/7++9/r3IaBXGN5/+/9v8/7rDG9ev2dgBVqkKiHE4KghwSAlwsvADPL1n38gjUD8nwEYzuA4ZPjzn5mXjZFBSZI7XkhYwAUU/LBsjQ4AAghDEJhomEH0tWd/N3/48JmBR1LxPxcvN8Ob938ZbIzlGbRlhRg42VkZ/gMtZPj7D+w9DAz0CRcwkX77
+v37l68/+aGhgBUABBC2NAAOrntvGY6/+fTzBa8og4SoMN+/V7f/MzH8+M3w++c/oAJGUHRjBcBAZGD7zwDMDP8ZH738uOv3T4bjyNGLDgACCCMEgPpB0cD0/OP/Wy8/M1z7/vIuw9XrD/4ZybAyMPz+y/AHGOR//v0FMnFgoPxfYMi8//qb4eM3hgvA0H/GzIQ7FwAEEBMWH/xngqRahtdfmW7w/X/P4GPEz6CnIc3wHVjk/gWa8/sP0KLf/yD4
Dyr+8+fv/79//zA9ePvr58efDPcZ8BUCQAAQQFizIUwDC9N/jj//GRm4/r5jfMGq/V/g030GFg4WYKX0n4GV6R8DKMn9ASU+5Oj4D/Tsr1+M5598f/L9N8MlaKjiLIwAAogJRz3wh5+TkVOcl1HnFwMrw++3Dxk+fPrI+FxAh/H7p48gEYaP3/8yfP0OlAXmlF+//4Gj5tevv2B7Hrz5xnD8wf/DQM4dfPEPAgABhOEAWPUrzsugJcDFqAWsbhm+
/mL8NWvFiVmXPjA9fi1nw3D4Oef/ntMsDPNvCzBcePYHqOEvMH2CygzG/1+/f2Nae+nLzTtvGaYCY/Mz0D/M+OoCgADCljfBAaohzmDNxsTA8/337987r/8/wvbu/7eXWw8yP374gOHSJ87/z75zMDz4LcBw7AkoqhjBfvzw8TPD2Wf/GZhfcfDqcDLbAMU5gWnqL9ARTLgcABBA2GpDcGMixZJxmqIYQ+aZ60x3Bd+zcjiJMEv/Bbrtys+vDNyq
XAyPPjEwsP/9yeCgxAyOhnff/jF8kNZmePdTgkH5xKH/nJysjDue/D655e2vjHe//10AhQTIMegOAAggDAcAswwzMA//VRNntDDlZVmu+p1FRouPkeU/C+NfdnYmpp9//zOe+8vNIOqhB0ycHxm+AvPaH3ZuBgYxRQZOZWWGN6t3Mxg8vfCfX4Dn3/cvv5mPvfz7ftHTnxHPfv3dhc0RAAHEgpkNIQlG4SebuwELk5wcNwMTMAz/MbMANTP+Z+Dn
Y2Ew//aJ4dThBwzyaf4MQmzs4GTODMwK34F5n/3ZIwZBAQ7GX///MzOzM/2xk2QUBHpoGT8LkzfQ8pOg6ABV+TD7AAKICa09AEow/2wE2Ap8+ZkapNiBeR5UKDAzMLEyMwLbAEzAYv4fg7AYF4PR7wdA3+5gkOEFep7xL4M0kGZ58YRB5M8nBi4+NmBbARiazKCQY/hjI84i7CzIOgFYwPGCLGdkRGRcgACCO4AZGjzKXCyGHnzM9XygAgeoDuQz
JlCrghlUMTIwsLEwMfwEZjkFJUEGkae3GZ4ev8IgIcbCwMsBrEWv3mKQE2IEpUoGZlagXhZGUM5gYWNj/GMvwmIhzsoUAbUUbi9AADEhVQDgYLHiZa6UYvwv8I+R4S/Q00wgi8FVPTgkQA4BhQQjw29gXOkDE+PLAycZGIHlwe/Xnxj+A3OIhAQnAygWWVhADmAAOwLkZWluJgZVTmYfIJMFWJr+hYUCQAAxQYOeCZRXFThZtDXZmXyZ/4NzFTPI
UkawJxihjoBioCNAlQ4vPzuDDNMHhseXHjA8u/qQQZbzKwMHNyvEiyDHghzNCGlpAQtQBjF2RmVQEYMc7QABxIIUEv8U2JlcgSHIATQblOOYYaUCLMZADgE7AJxbGBh+/fnPoKnIxbB911kGTubfDO4q3GAxkGP/Q/UxgltJ/8H+BboBGFEMXMgOAAgglFwgyMyozsYAbr78x17bAo36D3cNwz+gZVy87Aw6vO8ZeHiA5QGwnfDr8z+gb4B1BMic
/5DqGZgk/gKjjOX97/9fQM0VZBMBAogF6sn/0FKBF5To/v6HNSD+g50CKyrANEjoH0QBsMpn+PH9H4OGHAc4AX39+g/UFmH4A6oygVHKygiOCsaPX/+x7Hn259fJT3+2AZW9RHYAQACxIBe/wAD+DnXKP0gTDVwuABs+wGAFpkpgBQhmMwLZv3+Dmp9AJwDjBGjxf1CwszCCK0hwpgEWCYwvgK2oq6/+/D346vf1U59+L/3+n2Eh0F3fkFvJAAHE
glxb3f3x9+A7btYUUcb/rGC/A/0BSpAgRcygoASazgq0EsQHNvmAmZwBHFzARirjF2Ar+f23vwzPPv39f//93y83Pvx5fuvT30uPfv09AJQ6CPThDaCdvyEhiSh+AQIIXhTDsoU2N3OFOTdzvgwLozgvC+N/dhZGRlZYnmYGNdGBvgdq+QK0+OOv/z/f/vz38eX3f2+A+MXLn/8ev//97xYwom8AAwvYi2F4DDT/E9wyLP0DgADC2jcEqlMAWm7G
zsgoBQxZDkZIIIAS1D+gvb+B+NePf/8//QQ2mhgg+A0QfwDiTzBfIve2/sObe5iWAQQQigNALgTlsr9IZTWpAGohI3LU4msPAAQYAMGQoquWEb0hAAAAAElFTkSuQmCC
";

$infos = "
iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsSAAALEgHS3X78AAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAWmklEQVR42mL8//8/AzmAmZmJCagViP///Y9kiIyUKM+v3380gdJ/3n/4fOnHz19/GYHgPxaLmJkYmYHU/7///v9jIBMABBAjOR4A
Op7x37//DCBH8fFysUiIC6lKiglZ62jIOWqoyJgryYnJ//n7j2XBqv0zNmw7liXEzcisIvxfQ0qAwVROgEHw7BOGa1efMxx6/+3/N0YwYGAAmkdWSAIEEMkegIWmkrykorW5ZpG+lqKjioKEmoqCOKuIIC8DEzMTw6fP3xh+/PrDsO/IlT+Xty3YrSb8S1ZKmE1TSpib+S8D2/9Pnz8z3nr+7c6lpwzLjt5nWPjw3f97TEyMjOR4AiCAiPYA0HxG
JmZG5j9//v0x0lfRiA933uvjZCjFx8P5/9v3n4wvX3/8++zVh/9v331m+v7zFxMnO9v/l6/fM/x9e4eRT0wO6HMmBmPOB39Vub/9//iTkfnLt68Mr9+/Y7zz/P3nmUf/x116+n8DMGIZ/5LoCYAAYsGbVJiAtjKC0jkwiv///wP0AzitOljqNfs6GUm9fPPx596jV1i///gNVs7BzsrAxcHGwMvLCdLLKCrMx6Ct5fRXQoiT8eP3P4yr1+1jFvh4
lEGM+w8DHz/7P3Fhxd/CAry8T94/7GFhZrwJdPx1aIoCWgtCDOAMhs+NAAGE4QGgQczA5A2MGQaQXpCDwY7m52JitlJgUMm3Z3HUcI1xffjsHcP5y3fZ+Hm5GIUFeBhY2VgYWIHJB5g/GFhZmEFJjUFSTICBj5OR+fGzNwzcnGwMsnLSDJduyTGwcCgwMP/+zmTBeIFNWICfQZSXWYaL9a8FUM9NJkZg1mIAxcS/f9D8xgwKvb//sWd0gABiQWRM
RkhI//v/FyamL8UorSTMYC4vyODU7Mlgy8DKpfmeQYT164+//1+8eg9yICMrKwsDC9DBLCCHA9msLCBPAGlWJoYfP/8w3Hv0GuwpYPpjYGf6w3CM2Y7h4z9VBplfdxlsuC78//kXGNKgTPyfgRtoJTswFr4LMDKyqjAySn9mYHgLdPgnRmAGAaUGbKUVQACBPQCUBzn+PzC0GG2VGa01RRk81cQZbIvd2AzFRPl4xYV5GU68kWZglDRmcNdR+ism
wMF05cZDcChDQh7oARZQyLOAPQJyMAtQDCTHBQx5TmDS4uHmZLhz/wWDl+4fhl/8DAxHDn9nYGQGuh3oJFCIA5nAIpXxrzAjI0+/nuJKR0dt1zdvv7yoUZVeL/T/f/fb//+fAItmZmDM/EX2AEAAsYAcDwz1fzpSTDKBOv/nGChzuUtKiv4XFhVk5OHgYOD+/+fv4Sc8/8X0nZk8rFQY//39x/zmw2egw9ghIQ8OfRBmBHuAnYMVLMcBdPzfP/8Y
PgBLpHsPXzK8evuZ4cWrjwzutqoMj38BHf2PERwAjMA0A4qfP4wM33kZ/nNMMFJZHxRl7vSf6f8/EQUBmUo9iTy/Y3cizDnYs4COX8sCdO8fpJgACCAWkOON5Ril8+0Y9mpoKqjp6Cj+ZQEm/jd3XjO+uf2O6f7n78z3xJwZwgxkGa7deszw6csPoHVMDFxc7OCQZweGLicolNnYGEC578v3nwwPn7xmePH6I8PHT9+AscvEIAQsXpUUpRgszXUY
RHjZGG5cAWVPkOPBpRvDX8b/v3l/Mwi06ClvDcpwtvn37MUfYBEFDBWgL4Cxoq0tIraSQ2+1DRdHNtDx04ExAcoj4MwNEEDgJOStydCtri6vZmSs9uvb+y9s984+ZPj14QsDL9sfhq+MQgxiCvIML1+8Zfj87ScDMNNCHAx0OCj0f/76zfDu3ReGF28+MLx9/4UBmE7BaqQlhBhMDVUZBPm4gO4AOhJoz9dfINv+gxP93//gpAsM/n8MP9iVWVot
2cojIsyE/v/8+Y/x918Wxk8fwBkTmDmY/r7590+Un41xvr3CZC0WlvdAx69gBpbqoIwNEEAsGuKMGtVe7D6amnIMf378ZH0BrCL/fPrKwCAmw/BA0ZHh7g9eBsGfPxh4ebgYeIAYVBh8/PwdHMpv3n1mAJb54CQjLS7EoKkqyyAmwgcujUDgD9CRv4DEj9/ADAbigyMeVMz8BychYBpjuPhPh8FInI3VXOePIKgIAaY5JkYWUHYAyr9+wwAsDRiY
/wM98en/PyleFuZmdaEuFkbGy0DHXwXVTQABxAK0X4qbh5uXk4P1/8cXHxm/vf/GwMH6j+G+rA3DVx1rBs3PbxjuXLrK8Pj5W4Ynz98xfAUmETZgaSMGLOP1tOQZ5KSEGdjZWOGZCuTIH39AzQwI/z+0RAcViv/+w9QwMrCz/mF4852J4R2/OoMO70OGv7+A0fP5HxMjiP7xg4GBjw/ogbcMDO/BMQHMJ8Bc8ZXhr4coo6wrF3sG0O1FwID4DRBA
QM8wQGwDhRYwjv+DSyUmht9/mBjk2RkY1IFp9tal/+DQVlWQYAC2CRj4+bjAoQjKhC+/fGB4AixSjWUUGX7+hSQPkDik8oNgYApiAPnxzy+IB1iZgOZ9ZmNY8sWKQd+Kk+GPmDDD2zP3GbnVxBiA1ToD48+fQMcAsRAwUr5+YwC2TcD5DmQ8sIRmsOdlctrxjUEJaNRNgABigoUTrMIDlQqgzPUf6IhfwITLxcvNEBdsz+DpaMCgoyELdvxfUNYC
ZsKTT24yFOydCkwm4JoYHMp/IWEBLJEYGLjZgPrZQTHCwHDr2X+GT98gdvwDJsnbn0QZhC1tgIH2nUHGWpfh6VdGhj8v3zIw/gEq/gF0/DdgLPwGmisILHPZgQYBPfUfqA9E//7znxNojATILIAAYoG6H5gm/4MZoHwFjAIGRB0MCdE/f/9CYwdYYP9nYlh36yjDui+bGHzV3RgsFdSA6f0/AycrI9i4H0CPP3r9n+H28/8Md5+DQpsBHCNRDszA
JPiX4eTNXwwBnnzA/MLC8OIeD8P3H98YhEJcGS5NX8xgpCnI8A+YjJhgsQBM4yAP/P3z9z/L7x9MJ1+z/J7z4c9xoDXfQHYBBBC8Jv4PCzpQucwEcjsjPM0ygpsY4Bod7MHV144w7OPczqDBqcoQKO8AzqzvPjEw3Hnxn+Hms38MwKwCzgvA+o9BQZyRwVaHkUFejBFYiv1l6F73lUFGlYdBiJ+Z4TfQfQy8sgyrd19mCPeWY3ju5sxwZdMWBh15
TqB7gKHw4xc4Nv7/+vmf+d8fxuNv2L4nPv298cm/P2uAbroJchtAALFAIwA1CTEywpMEyPm/gIZtvnmCQVVUiuHrpz8MB5j3A2OBjcGRww5YpDIz7Lvyl2H3RQYGcQEGBnlRRgYTFUYGaWFGBh4OSEkECoF3H/8yzNz6lUFejYtBTIgZVAABk/d/hju3gXXHVxWGzTuvMdhZqTDc/ePF8HXzNgYj9i+gAojh39/f/5l+fGc8+or5e9Lz3+uf/vuz
Chi+B0BNDJDrAAIIKQn9g2dMkCdASQjip38M7MBi7SswuKpvTmYQ5xNg+C/4nUH6uTqDtYkawy9gNOnJMzFoyzEyiAILDlCm+gXUC2wGMXz4DskLX4AhPxvseG644z9//c9w9fo/BmDznIGTi5PhymdNhh8HrzKY6kswvBWOYNi+/SiD4sOb/8W+f/v3mk+CuZbx//Gn/56vApb/B/78+/cRlnIAAoiFgRGahKCVMxMT1AMMMA8wgtN3vIETw+PT
zxiuCl5k+PTkP0OOnD0DqPXyB1jG83FBispvwBj/C/U4KOSBLWugQxGOFxWEOP4LyPHX/gLzFbSuAmZcdnYuhru/DBhub7vEYKX9m4Ev3Jbh1gt9hrsffzIfuf/87aWbB04AHXMe5HjkLipAAKHEAHISgrRMkTwHdGy0gjuD27FdDB5CFgxGwGLz6++/wCKRCZwvQCUNpMcGSf+gYhPk+FlbvjLIAZONKErIwxwPNRtUIQNbdQ8efmO481CG4cLD
9/+1pb4xSggz/nr48N7DrTtPbf/x9ftOoLueM0CSO7yPABBALIhiFBri4BhggvD/wXtjQEf9Z1AUFWWoUUhiMBRXAotzszIzvPnyheHRx/cMWhKywGQD7EQAKyk2UMh/AToeGPKyaMnmCtDxIDbI8aAAAnkY1BC8dusTsHb/AmxTMfz/+leU8dDtbz+erpq2/vfXh1uBDr8MtO4WsIvwG705DRBATFDnQ2LgPyglMEHqAQZEzfkf0hdm+A0sqeL1
HRg0gc0MkOCFFw8ZCvdPZXj39TMD0A3A+gCS5kGOB2VYWVWg49GSDczxoABCdfxXkF5gMccGbCh9+vH6ytR1QMevAFaqW4EOvwQM9B/YOjQAAYQoRv/9h/TjmBgQMYDkAUgHiZHhKzDuuYGdky23zzCs+ryWwV7RlsFFTYvhGzDxC3ADmwaf/kEdz4WWYdGTDczxHxkePv4GSnL/GYGO//P724/H52et+/bx0Spge+3g379/P+IalgEBgABCdCn/
IRejiGYAuCID0qAGGqgeYGNkZth4/RTDTvZNDIqcCgzhcm4ML4AV1e2nwMrrzX+GE1d+MiipsDNIAispUF305RuhZANy/H8kx88EOv4hyPEHgH2Xj+hpHh0ABBATPBND20OM0DyAqAeARSKwHthw/STDzdfPGE7ee8iwCwiBTUYGOxY7YCuVheH8vb8M+y79BbZKGRmsFD4z/P35G+zYT19wJ5vrQMc/ACYbYP8H2NZkZ/yFw/GEAEAAISoyaFMC
XCIwQUIfkon/Ads0zAyvvn5kmP92NYMIlwADo9g3BtEnygy2RpoM73/8ZzBTY2awVAN2JYEtFMYb9xkm7eNkeCKhx3D31h9gsmHEkmyAjn/8FdinADU72Bg5gc3Q55dnbvj28fFKULIh1vEgABBATIg88A8SQtB6AJGEgJ1zYOZNM3Jj0GfTYfgh9pHhGbBP6CfuAKkHIHkfGEvAHjiwG8H89xuDn/AFhn17vwLFWRiYgS3Pf1gczwWspb/+Zvkv
xP6dwZdn5i+Gr4/PAe06AnI8I6wpQAQACCAmyOgLosQB18Qg/UiZGNQsAbbfGKLlPBhOnXvBIPdbnsFMRpnhKwOk5gZVXiAMGuj8A2ys6cj+YAiVPMVw//lv8CgFEzATwZINuKgEhvyXnywMIpy/GCZ772OQ5XzC9OsvI7CU+feV1JE5gACC5gGYD/6DQ58BpSaGNOa+AWtcNTEJhlzxKIZEJR+GX0CdH5++R2gFeuQnsBn66+cXYKLjYwjUesHg
J3SS4c6zPwzMwPLx1u2PwDQPdDwHsBH3l4lBmPMnw/SAQwxa4u8ZPv9iA3uSHAAQQEyoeQASA0zQmhjuAXDXFNieB6aFPFMPBj1gLXxnwWaGx1ElDF+AHZ1/oM45MPhfvvnI0L/xJgMTsCPw9z8XQ7T+Y4Y4yaMMZy++Zbh47ze4mfIV2C768ouZwVD2A4OGJLCH94Md2Gf+x/CfzNFpgABiQc4DDMh5AJRsoCMwoH7t3ZJuBiZODgaR+hyGr+ev
M/zpXcbAm+jLwCrKC+xB/WVg4wZm9BdvGBbsucPAzviXodRTBtw88Ja/yaDC9oRhIZ8Ww/E3UgzKkiwMMhLcDM/vg/rEwKYY83+yHQ8CAAHEwghNQuAxVUZoU4IRmqoYYHngH8M/FhYG8R0nGN6+eMnwC9iFZPaxYBAqiGJgAxaRV54wMJy+y8Dw+M5vBgVpAYbd9/4xCN/mZ/CxVWP4xMDLwCTNzhBuwcZg8pmXwV2diWHL4Z8M924ALWBhYGBk
oAwABBBSDMBKUWhbCCkPgCoxtf5ihhtztzMoLlrEwA5Ue1lKhkEQ1OoEqmQGehrY22QwVZJlMFCKYuDiBvaZWTgYjnzgBndi/3wGthEYWRnYWH4zcII6taAu+n9oR4HxP0UeAAgglCQEa/OA20JIjbm/0KKS4+VLhkfMXAxMisCksGANw8PL1xj4m0uBoc4BjrVX71gZmFjZgD2v3wy/gP2Hf//eAx3NwMDHCcy03IzA+oSR4fIlZoaT18WBeYQV
1soCd/oZyYwKgABiQTR2GFCa0//grQugx4Alx7N5Wxn+LtzJwNaVy8DtZsXwpH0WsO3wjOEvsPD8AiwAQSPsfxjYwCPT3Kx/GASEmRl4gRUgKC+9+vCP4fytvwzXHv5lePD8B8PHL28Ysuy/gKvnH8CO+sevf37+/sPwi4GMFAUQQIgY+I/oDzBA6wHoADfDt4+/GN6v2MbAneTFIOxvxfDvM7CgLE0F9reBbSNg8mIHKpcT+M/AC2xeC/7iYrh5
7x3DnUdMDNce/WW49+I3w1egD3mZvzIoCX5iiNT8xCAv+IVBhBtYd30W/vfw3mPmsw/+3/v5l/EZsCj9S6jtgw4AAogFqgFa1f8Hux21S/mfgRXYwJec2crAJMgFbOkCvQRUBMyXDNy8kFrw6/f/DNce/GU4c5eJ4ehZYKf+6WcGDsafDNLcHxmcJT8CHf6ZQZT7BwM7K6jEYQbGFMu/z784/m8/dIf5zu2nnw/eZ9gDNOf233//f+NreWIDAAHE
Ap8KAeUBZkiFBI4FpB4ZSF5aXoCBgwlS2f0GFqv3X/5nOH//H8PZu/8YHj3/zvDvx0cGZb53DNYC9xl4+J8wSPH9AKb5v0DjmEDJ7P/vf2z/P/1kADbafjP+/PaR8f2b10w3779/t/YSw/pPPxiAvS2Ge6SGPggABBDSqARyKQQdUYOW0ILs/xlevvvHcAXYZL4AdPSdJ78Yvn8BhirLGwZtoZcMYVovGVQEPzAI8P5kePf5L8Plh8DGExPr/y9/
WIF95j9Mv358Y/z69TPj549fGN68//rr2dvfr2++Zrhx/gnDQWBX9BDQyjP//v3/RU4mBgggFlh/ElwTM8M69MCSAdiGOf+QgeH7D7CDGD58+MrA+/8tgwrPC4YYyRcM6gJvGEQ5vwGbCaAGPtt/0Ozj33/cwGbCL6YPn98z/vz+nvHzpy8M7z5+/fv83c93j9/+f/TwHcPtJ58Ybn7+yXAb2AO4D7T6EdDxL4CO/0NuMQoQQCz//4NnRiDl8j9o
8gHyeVl/MXx5+5rhw6d7DC58QAervWKQ4PrEwMXyF9xu+MvEDrSV6/+P3/8Yf/z4wfjxwzvG128/MNx99vn/lcc/Pz969+/Jo3cMdx+/Z7jx9huwP/ufEZREngEd/RZow2dghv35l8y5YWQAEEAswILjwy9gPP/+84+Zi4P1HxPTf6bvoEEr/nMMLoJnGfjZfgLdywh1MMd/YB+F8de3X4yfv7xnfPPuI+PTl58Y7r74+v32i/8vbr1iuPfoA8PN
N18ZbgJbl8C6meExEL8GOvoj0ME/0Oe4SM2w2ABAAIHniUucGdfaKXMGyYiI/BOTFgVP1oFmVMEjwsAI+v3nD9PXr98Y3n/8xPD8NbA9//Lrn9sv/7y6/ZLhAbDEvP3iE8ON738Y7wDNewTEL4AO/gBMGl+RJwxhDkYU25SHPggABBDYA3ycjGI2igytBjIMgXryXMLKMiL/ebk5GT9/+8Hw6i2wDf/q6797L3+9v/US2Nx5A07HNz7/YLwN1P8A
iJ+DkgWoofkXLSPSwsHoACCAwMU+MCn+BxZ37KzM/400xBh89aQY3LjZGcQ+fGP4cvcNw/2H0HT8H5KOgWXR/zdAfZ9AXQD0dAxzNK0cjA4AAggcA6C5KkZwmwfsEVBtABr4kQX1BIDsD0A2MB0zANMxAygd/x1IB6MDgACCr5WATfH/I+AQeiQLUgBAgAEAUFIpMxiMoE0AAAAASUVORK5CYII=
";

$config = "
iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsSAAALEgHS3X78AAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAASU0lEQVR42mL8//8/A7mAiZGRkYGRgenfv/9/QXwxHhZ2ICX/9x+DINBURmZGho///jM8evvtz1eQPCMYINRTAwAEECO5HmACuh6o
FaT/n5oom7oMP2uGKC+rOz8nsywHKxMXyOzvv/99/fj978vnn36ffPrh9/JnH//s/PHn32+gXiag3v//KQk9KAAIILI8AAp5kC5uVkYmSwXORjkhjlIVMQ42aT7W/9wcTIzsrExADzIx/Pn7n+HLjz8Mrz//+X/79Q/Gmy9/nLr64nsR0CNHgUYwgTxPqQcAAohkD4Ac/w+oiZuNid1CgWuFoSx3gKE0x19udmaQa5hAKphYmBiZgR5gZGD4/xeY
nhj+/f37+88/pkfvfzGdefz995mHXytuvf7ZB4pFYHKiKBYAAoiFVA2gtA2igI6faSrPE2Aiy/EbmKBZvv/5D3Q0IwMz0At///xjYGRhBKv9C8wEf/4ysAApBnkh1r/8nEzM7CyMvaqibFxAx7dQ6gmAAGIhMd0zAwP/r5ksZ7SpAk+8vhTHn19/GFhBXmIEOh7kDGCqYfj9+zcDEzDk2VlZGMBugzrv26//zNxszP+slbj//frzv0mSj+UB0PFL
KPEEQAAxkZR0gKWHIBczl7QgW7WGBAcoIpj+QN0Hsh+cWv6BShsmBuZ/fxi+//gNzgf/gCog4owMP//8Z+JmY2QwkuVi1JHkaOJgYdIAOR5cPpEBAAKIifjcwgBWKyfA6isvzKEpyMH09wfQMf+hDgendWDp+Ov3H4avv/8zALMBgzTPP4afwCj6+esf2IMgDEpY33//ZxLnZflro8CpKM3HnAF0OyhmyfIEQAAR7QFYBIvxsPqL84CSBgMEA8V+
ARnszAwM2iKMDMqCDAxSXP8ZfgFDnp+dkUELKMbF+h8U8gw//oIwMIkBsQQ3A6OtEgeDmhhbINDZOuTmAYAAYiG+zP//V5KXhcNeldeUh4OJ4fe//4yg2uj/v/9gj/wBJZ//jMCilYGBh5URzAblBzagx9QEGRk+/PzP8O0PpAQAFr8MvGzAGAUGvLY4m9yJRz+cgIF/iZx6ASCAWIhLPZCSB1hByfByMMmyAqtYUEEDkvvLAIkJUBkK8QRcDxj8
hJb0PGwgRzPCSjJwTHCxMP5XFGJjFOJkNv/w/Z8AUPg9KBmR4hGAAGIhoegEOvC/BCMTEzs4uTP8h7QjGCFJCORAUBr/g1Y1wVL1nz8Q+h/UQJBHQelXiJuZQZiLSeXeOwZxkAdIjQGAAGIirdpj5JXgYQKmc8Z/II1//oPSNijJMDAIcjIyfPsNTN/QWAAFISgJgeRBaR7EB9EgfRzM4NBnYAcGHzD0GXjZmYSBwsLk5AGAACKpHvjz+++/t59/
MXCycgIxMOR/AGsw5v/ADMnIwMYCyeigGACVQiBPgB0KjBlgqcPw8TvQhUBPvvr6n+HBx/8MH4B6gXoYuYH6OVgZgTIM/KQmHxAACCAWYstQEJCUk9W8wSbGMPnko/96EqwMl1/+Y+AGtj/ffGNiUBT4z3D9zX+Gcy9AjoOU+xxAT6oJMQJDGVQGMzK8/PaX4fyLf8AMDfEsCLMBY4LlH9CrjN/YGf5D8hopHgAIICbiWxAMDN5u5s6RvhYMl94w
MogB25sOCkwMqoJMDILAOu3gw38MCy/9Zbjz7h/Du+/AEP/1n+HFl/8M2+78A8dQkAYjw7PP/8GOFwB6mh+IBYD6gM0KYIZm+g91PMkAIICYiEv6EMPfvP/88x+wuGFhYQWm7X8M6sKMDPpijAyG4owMemJM4HYQKzMDOGMzQEsaeX5GIGZgAKY8cJ0AbJwyfAJ64hOQ//EnAzi3CDH/ACYqhq/keAAggFiIrMTATjpw9NK+n7//BHOz/P0vyMkE
dAC4ocbwHegoCR4GBnMpJoa77/+BPcAGLGpFgEnHRZEJXBeA6gErWSYGDmCIv/32H1w6CXMBk8//3wzbrvx6CzT+IznNa4AAItID0Iz1/5/MrgMXGdyVmIDJgInhyy9IMQnKsCA6SpuJ4esvJjAf5GhQHgAVuV9+QuRB2FwaFJ2QKAXVJ6ce/mV48fnvY1gRSmpGBgggFsK1MBO4Fubj5eJJinKLevniNQPjs0v/vvwWABeTyFnuFzA2QMmIGZpB
QUUoyNFsSLYgF6l//v1juv/2129gJXaTnDoABAACiIXI9P9fSlxIQ1iAR/7MhTsnmF/94NOV/aslwMn8H5iEUJpgwLwLzgcgxz/9AmzMQds+IBrkQVAe4GQBxQTT/4/f/jDee/f7MbAvcRVoxCeU2CYSAAQQCxHpH9KW//7z2z9g2cjEwsx88/WfJQ/e/GjTkORG6dGBWMDeJLisX3vzP8NLYCn0B1o3wLoFIM+C2C+BapS4fjLcefP7LFD4FrAW
/0FOPQAQQEzEpv9HT19fu/vgxWFHSy1TZj6hP+cff1n1AliUAJtE/0AtT2DjDhjSoKb1f4Z9D/8zPP70H5wHZPkgLVIjCUYGG1lGBktgHhDhYvh/5/1/xrNPf957+eXvTqDxD8ltjQIEEFF9YmA+YAKG/j8xEX6H+DDn3cD20LeNmw/fMBT8ZqYnzf2fm5OV8Q8wmEHpH9SUWHb1H7jY9FMFNa8h6QsUM0wMkOS19Nq///feAztx/35/fvLmcyUw
dqcCrQD1Cf6RGgMAAURUKQRyPNACNiB1QFZKJFRfU341Czu72e1vTP9Zn39hBLYoGQT4uYFpHNih+YPU9AA65T2wCQEqrb6B+gLAttLbH6C8Aco2///zCwnwsnFy9vPxcP0Emj0H2GpngsgQ7wmAACIiE4OzKKjn9YuXm1NJiI8r4sbtJ0wK8hL/Xr35yPRRRJ7hLcNrhrcPnzLIyogw/GeGNL5BAy/b7/4HFqegFiqob8AIKbCAxrGAOpn//jHy
cHP+F+DjZgX25maICPJKAeVagOL/SckLAAHEQqTj/4oL80fKSYlMBcayoIAA738mZiZGUWEehvtPXjPYpscwvL94hOHauePAZjWw7P/JCcwLrMBOPTMwRv4B2X9BDgbiv8AO/x8GDk4OBi4uDrD5HBxs/8XEBEH+auRgYzViZWFOBtr3llhPAAQQCwHHg6Lzr4K0aIekuGA5Bwf7v69fv//l5gINAgEzKQcnAzvjF4ZDO/cxNHdlM9y74MRw7/RR
hp+3HjEcv/uJ4cfXzwycnFwMvDycDNzcHAx8AsIMEmICDFZWegyLFm8DJs2/wGYJCyMnJxswezD+AdrhDwoXFhbmYKC9L4jxBEAAseBxPHjYUFFadJ4gP3ciLz/PH6Ag06dPX5lBIw2cHCzgCkJOUZrh6uVbDIe2HGKICbVjMDJRBCZ+YPPi8yeGU1feMRy89J1BXVGUwddejEEW2GIFtUofPHvHMOHdRwZpaRGGT1++Mrx69YERWFGyCAvz/WFm
YrICttoXAPNcGND+T4Q8ARBATHhKp3/AkJ8uKMADcvxv0JgVMGSYgBYxvH71nuHpszcMz56/AbLfMUhJizEsXraT4eWL9wxcQCcKAluaz78IMJy7C/TIs5MMZ4/uZGieeoJhxcHvDMAmEcOD+08YgG0qhn/AgLh39xkDFyc7AzgZMTCyCAI9ISkq4C7Ay1lHTB4ACCAmLKEPLs6kxQVLgCGfwcPL9QfoeFZQkwIULwICPOCQExbiZxAU4mV48/YT
OF2DEvHE6RvAnfrjt5gYdh28ybB3zSSGX98/MXz78Izh7qm1DHIC3xkOXGNg2HroPgMPsDoGms2grCwNzCP/GB4+fAEekmEBFqfCwvwMokJ8GeysLO6EhlsAAogJzfHgDAssEWwE+XjauXm4/jOChzlBg7WM4AFbcLpjZmbg4+Ni+PHjFwMbsKEjBPSIkqIUw9GTlxgmLL0ALoVqE9UZ7KwMGM5fusfw+Ok7BhZ2bgZDFU4GJ00Ghhs37zHwC/CC
zQQmGwY1FVkGZmAl8vXbd1BNz8jOzvoXGEDcwLwDGjPixecJgABiQk73oJBnY2VhEeTj7uHh5QTmLyZgAQgZ1AeNtjGBBvdBHgFa9vz5W4avX38wKClIATMzOwMzUE5WVoph3ZoNDDri38Bmfvz0FVi0ijEY6KkwvP/4hWH/8WsMXz9/Zvj47gUDsCgDJiFQ5cfEAMxXwFj8yyACDHlwOwNoGR8fJwM/L5c90D4TfEkIIICYkDqNYLYAD2cM0Ofm
7OxsoMYmMxMzI9Th4PEhsIWgPAVynLysODAzs4HHhv4Cm/LiwHTM8O8Hw/SF2xg+fPzKcPXWYwZRoKNAoxUC/DwMJ07fYAA1x38D6wQeYF8UMoLNyPDw8UsGCQkhYGyygZMiKLGysbH+5+PhFGRnYbEGcllwxQJAALEghf5fYOgzykuJZHIAMxXIZLDDIQzQoDm0FQ9sDrCyMEhKCDPcvfeMQU1NlgFYrDKAmhJ/gE1TDQ1Fhj2HLjB8//aDgZ2N
FZzEfv78DSw+BRlOX7jDcBaYpJTkJcDpHphUGK5df8DAAyxmxUQFGH4A1YE89RfUwgKWI5xcHIzAgkMLmDmAUcPwFlsMAAQQEyztg2h+Hk4LoGPMgJr+M0K6AuC2MtgjjAzw5AOKZTFgeQ4qOW7cfMjw6fM3YHnPBq5pgZURg4yMOMPqzUeByYQXrBbUigWVNN+Beebj56/gWAGmT3DI//z1m0FFSQo8tgrKB4zQQAPZCRrdBtonAhoXw5WEAAKI
CVpZgYMWGFrObMBQATr0HyRZQTwAnQoDxwQjNB+A5gBAsQDKA7fvPGV4/PgVMDmxgz0BSsvKStLAZPQFrBZqBzh9K8hJgGthUB56+fI9g7aWIlIgQcyGxDiEBvWHgNrZcXkAIIBgeQDsYE52NjNmYAkDbYHCu4FgzMQA9wwsJv78/QMugfR0lRnevf/McPHyHaDHgLUrUE5VWYbhGzAZgcQ5gaH/7v0ncF5QlJdkeAxsftx78IxBX08ZnMxAfmOC
hT6S4/9DRrT/Io1UYgCAAGKClT7A6AMxZUEGQQseSHeMEdqHZWJE5QO5zEBfgSojULIxMlBl4OfjZjh7/hbDo0cvGXiBZbyOthLDI2Ay+QVMJqCKT0dbkeElsOK7dvMBg6G+KjDtc4GTFySpMkAcDrUL6J7/37//AiWtt9AhWKwAIICQmxKsQI3czExMiAkBRqQkBHc4NIoZoHUDM2QsCpSGVVVlGcTFhRhuAttCL16/BztSSUGS4RzQU8rKUsAY
+clwHZhnzI01wR78+fMXON2Dev7/GSGtWGAK+A/qhr989Z75+Yu3r7/9+HWeAdrdxAYAAogFbfgK1KGAjxowICUh2EAtnM+I6DDDov43MKRBsWBlrs3wAFiznjp9DZjEgDW2IC/DF2Cd8frVRwYbS11wkgJVgpBo/g8ObSYQZvzH+OXLd8anz18zPn76+sWrt5/XAN1zCFYCYWsTAQQQ3APAEPylKi/xGayEETGmDh9ZRHIstORigFVw8LwBzD+g
JAHq06gCa1cZYCV28/Zjhu/ffwJbo5wMJjbqYHXASus/OO0D3QQsehmB8owfPn1hBGVqYBL7+Pr9l7Nfv//cBXTvQaBRF/7/xz0xDhBAsAoCPHn35+/fu0BswsHE+gfYH2H7jzKw+B+Sk+H++4+QQh4Bg3ro1+/foKLzv7mpFjDpfP/PzcUJrnmBxSawufKP8SOw6P3w4Qvj63efGN69+/QDWFM/+vz1x+Ufv/6cAroFlGyArSaG54QGuwACCNwn
hk06A3tctrKSQruAUc7BxcX5n5WF6T8oT4AyNqhUAqVXMAazmRF8IJuFGSEGaveB+2TA2AA10H4B+5mg5sJHYLH6AUR/+vr985dvb798+/kYWHnd/fXn73Wg/TeA7rkHxE+Bmt/9+0/ccgSAAIJ36mGe4OZk9xHi52kDNpt1eLg5GDnY2cC1KSsIAx0IbGwxwCo4aP8V0pQAhu6f36BJvl/A9P0bXGl9/fbj+48fP78CHfrh568/r37/+fPi95+/
T/7++/8IqA80GvcUiF+B0jjQ0V+Ajv6F1jYj2CMDCCCUUQmYJ4C0DBsLszuwaQFsE7GqAkNXABgD7JC8Ch49gCx1+AfsJP77/xfIAKa8fz9+//n3GejA98B88B4o/gbYXHgNGhOG4neg9h0Ug1p7oHGg30C1/7H0Aonu1AMEEMawCmwpAdRAUBUuBGrjgVoJQMwMrfwYkSrAf9ByGpR3fwDxdyj9EzRQBxpFhEzmYE/L5DgaGQAEENZxIUoNxedQ
jAFjCgFAgAEA5Q+y+SWt9pcAAAAASUVORK5CYII=
";

$browse = "
iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsSAAALEgHS3X78AAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAX+ElEQVR42mL8//8/A60AExMj479/qBaYy7PxyQsxy1srs6n//sNg+O0vw7OJB77Ofvv5zy9s6gkBgABiYaAh4ONkZk615nZwUufQ
5+Rg1pARZVddU6agyMTNIcrBx8nJKsjzj+nte6aff+6oMTIyFjIzMZIcmgABxEiLGAA6hPnvv/9/J4QJlaZGKHb94hf8y8bLzvyXnZ2BkY2FgYmVmeE/0Gagc//9/fWb8eOBq0wpkx5k77zxYxpQL+NfEmIBIIBoEgP/oNa76XK7/ZCTZeAQ5PnD8Pf3f2aGf4wMf/8wMvz4xcgI8sK//8zMLEz/BYzlGBpDvjZJCrBcADr+GBsLEwvID/9AXmQA
G/YPV9ICCCAmSh3LAgwyIAYGKhMzkAJxmYGx+ldbko2XlZtdlY0DqOjHV1aGXz9ZGH79YgZ6gInh/1+g+/8yAH3D8P/HD0YGbra/6voiwmayrGHApMT+68+/P3//MfwFuhqI///Fly8AAoiFNMcyggAT0DTGv3/BZv79D0mDcAt4OJgYtaXYmDOsOK24ednkGJkZGRj+AB0NUgJSCoye////AR0PSsCg9AakmP8zsglxMEgLsKiL8jAoBeqxcLf4
cOhvyxW2Bqa3n7Fz31S//fLnHbZMDhBAWPMASCHIrSCHAq0DhhYDMLaBVmNRbCTLxqcgxKxsKMumqSjKqqcmzWEgLMyuzsnDJsMoIcDCpyjMwAAsbsCOZWKEYHCi+MPw78cvht+fvzH8/vSD4furLwxP7v/8zMUv+ElOTlLkH5cE+28Bhb+sz04zx7furt5x/V8nKGZBIYjsDoAAAscAMO4ZgUEESk7gDAREf5FDFQasldiFDWRYVThYGLXsNTiN
+PhYtTdXyKux8rBLcApzMf/nZGdg4AJmVHYWCAaF/l+gUaxAw37+Yvjz8SfDr0/fGH5++M7w+8s/YA5mA8rxMbDyKjFwykswqOuI8nxjFmH4xML5GWjdh38s7H9Zvr4UUxFhtgL6WBQo9gLdTQAB2CabHQRhIAhvt7XSH3+oAh5MCEY5STx59aF8J99PIZKIUtySePO6h92Z2W/EiET4KZ36DZ1GPOcyWxvcX8ro5Ga8qgp9vF3zQ5yoBK0CMAS3
luCFAD7lwAQGqIeRbyrp51Gz7v5k75pENySeKgCoQZgUJnEG8yIFuXDAlaXYQo4euvY1+JZK0je0yZPtiDG77HcbtaU3rv4Z+ArAVdmkIAwDYXR+0iZWYwuitOiqurEI0oWH8EbezXN4D1FbqWlSE3XlZnYfPL55zIgAv82j/FjJ/VxzdShH9fm02i2LcSlTlfI0AdQSbBQDKxFu5ECC3BfWIRmD7tFgd2/5dW19wx30z7A+BaQyiLMSkk2AnUE0
0T4f/+TvPxqBawJ7EBXIWSLHPPiJ/icgGLQyMetCLxhvhQ9d/jV+C8BUGeQgCANRdD6WMRChKgkJK72OiRdy4W28hndyoQEqTv1VTFx1Ncnv7+sbdzqsj9fz/lJ03qsv41QoFkTB6GowLOJHGcj4VmQZcegR7j3DPiTc2C5XaSoLRMHVO9GulappGLzm/HIWXUqYwo4scph/3/f4KYAkiFOIUhUh5iNezwwWYE6n7WZVlbm0hIW0mP1f4C0AE+WS
gjAQBNFKzxA/ZBIcSMjGnQdw5RE8gscX3KggwUXG33wy9pCA9rq7eBRdJVuVHartuhoa7QfnIJNaGEikvrbMLjLpOWzmeIM1DsESMlpAFOyorlFuau75CjSb/2DZ3dfbQwSHXMTR3mniRJ2AQZwTkuNddPxqdzxP57y/Xgifhyh3exOWKqy0KhqFtu9iWrb/Qf4KwETZ5RAQBEG45sdEZlfmhYjEEw/iAA7i3M7gcYOws8FuYn7MaibEBaqru6o/
6QMaxCe4e7DeB/G5zI+M1JKQcN5VUOMlytWcqmAgdUEzB7kG9DrEbdS1w+WmYNshWmfQuREkv2O7qUhSZE3xNcyy4asl+pzQHQ9wjUUiWnFdSmlmUS3WjlHqqY+0g+aTgk33df/un/9P4CUAV2WMgjAQBdH5EmPWqKsJCVh7AEGw8awexFtYSA6gjWIIEtiQCMmus6Sz+N3A/zB/3vgMNJ4QQovFw2csvrFOpxN075r1r5EeTx4lHP8OHQlicHuk
uJdLqiMaHyGJA2wZtXXskGvB+WJwLSoc9hn1DoP58OAS5vnCt6oYgR7BIsY8y6F3JFGSsKuVq4dZS4OsbRux6F2olKwi2XBx+B/inwBiAZr75i8wibD8A6ZvYKZihEU0yAPAkGVhB0bvv1/AJPwBnG8ZQFkBWE3uvaPE8Pg5F0OgCTsDHw8zMKlADATmCGDKgyQkHm5OhhfvQYXbb4anB48w/Hz9Blhq8jJwigoz8JsaMXAKCwIzOic06TFCAu73
T6Z/b96x/Xj//h+HuDjQh6z/WTjYGAQ4mfmB8hgeAAjAZRnjMAjDUPS7jahIRYYqB2Bl4P7n4ADdqhYkBooUEgQR/WkzdfbyLT8/WzHSY/dkn76W5GzJFzNfTcUpHJtHXBeoMnG+outreG1h5I6KhotExMdvb1wfwdsdqDQtS83OfRppgG0bFFTvOeH34zRH2LjbAWGc4J4vuGEEjablavbC3hbWhb8KjD7Rt7j8N/ARgM0yyEEQhoLooA0pkm4U
4oaVO7eewfsv3HgAxSgGFjaAtqV1bFh6gZ8/P29mvjhd7cX0xku6HhGhmf8QXygmya+ZJ0wjBeQLvHqJ83OLobvBNzUGV4EE4t55XhtoGeGWIo4HVsVKoHlzgPsgK9ScPDaWm9GaCxOn+kEvaHojgSzXKPY7BFW6MVU6YWL4wOGp8Jt8+VfAVwAyy14FYSAIwpPLQYpUKVSwEURsxQfwqfMaeYWQzj8SJOHuou6Rc05SCLYLW+wwO9/opvXXt5Me
XopYFnhA8ttbmEJQ6QRxltsZ6lsBbV44bQme3QFlpWmpQBspsi1gsxLyTTCYgI5PHe0Hwm56OthLC3O+U+0Hx0IC58jXCyyPe2RMMqQR2TzOej2OhnGXUAr1NebccP+620cAsQCj/vmXL79fC//6LQiqPIChzggvgUDFHdA/zEAP/P0OrHAYBBi4mD8xiIrwMMgp8TC8/vifwYALWH4DC4bP714z/PgCDNUPvxje/wZaCCzZfn4DxuA/Jobzl34x
8Nw/y8DF+hcYyiIMvIaqDJxiwFqYgwMS26Ck++cHOKmCildgOwxYVzKx/PnP+Atc0gGzMhO43MUEAAEETEI/f2zJl7yr8PuPGgMrqO0GTZugFiOICaoKgP7+9+MHOCR4Ob8xfHj5m+HtF1aGn0B73714wvD322cGYX4uBmERAXAy+f0HUg/8/vUTSPMy3H0CzEP/rBmUZf8xqKv8YwC1RECO/vf9MzjfQNzGyMAI7ZABG5PAApCJFVhv/mIEGfjv
N9Cu/3+xeQAggMBR8vnrv1sM3357MvAD8/Tfv4gqB5qEmIHCIMeA0i/Qh8AkxcTw/usvhke37jGoS/EwyKopASPuP9CxwNYlMORB1QkrK7DnxQhshjAxMSgrAuvEP/IM799/Zzh+6hUDJ8dLBm2VHwxCQizgkhm13Qh0MjDVsDEzsn3/w/gDmAaABv5gevvl3zdIBkIFAAEE9sCp+z8u+gJLIgZeUB/jPyQkYJkZGAPA9jowzf4C1yF//3MwvAW2
Knl+3mew15dn4OfnATscFIicwOKO6RewBmZmBuv98xvY1Pj5HSgPaf8L8zMzCPJLM7z9IMZw9PwzBk2lxwwqSsDC+TvE0Uh1NQMrCyMT6y8mlp9AE//++vX/4zdQownTAwABuK6WFAZhKDgl2BJwlbUI7T1c9f4rwZVLWzei/SUh8TvGFqTvBJk3bz4JAO7PMbdvxpEa2H52j5+/AOjP87il7oM1+PCqcM0u1JwkYRNOxyjoXxsXSPMUbN18cGsF
Wifh2ZX4c4SSPVLFzccr2ARFKchuiXNCEH6z4Z/F8uYDC1yN9dqiM1P3n8LrLAII7IHzj3/d/vDuz1NJaQZpYMIHuvY/E7wuADVZgI1PYK+KAWTLx9e/GALtZMGOB/X7gL00sLJvQMf/BMbSy1dvGS49ZGJ48lOSAdiSBDY+GcGV9x9g2D18+5/h6ptfDJbyHxnkhb4zSIiLMVy59YlBWhjYVAHFGqwzDa1O2YD5gPXfb7bPn779ff31/1twJYQG
AAIIlLmZbr389fHus9+XGEG58v9f0FgBtMkAalL8BXfH2Nn+Mdy+xwBMMoYMggIcDN++/wR1WhlAXUtQyP/48ZPh/oOXDPtv8TC84lZgkFTjZlBRZWSQl//PIC3zH+jY/wziYv+B7X82ht13hBlefOFhEOABli5M4gx3HoCa6cAK7Q/EPlA7CYSZmX8zcv79yfX29bcfTz/8fYUtBgACiAnSGWNguPb09+F/30FN/L+QFivIIBAGhjIzsBj79vUn
sLJSYJCXEWX4AoxSUKb9C7QQ5JEfwJrs/qPXDMeeiTDwANv+murAtpDQfwZgS4KBi4MRWCMDMS8jAyeQ5uX9B+affMALdCAbAw+wtn7xFpimfkPaY+A+AqggAXVDgYHJ+fsb64On3z8C+0TPYTGA3CcACCAmWK45cufH4Z+gjty/vyyMcA9AYoEFWBY/fM3NwA/snPz/C0wqQMNBpc1vMP2f4dXrtwynn/IyiKkLMWjIApsRwGQD7FYwsLOCBgKA
GFSqANlsQA+B2vw8XMBKDlhDv/rKycALbEd9+c4F7lcwAh3/H5TWgPg/KCWwAB3x/QvD1YffQT2x58DAxsjEAAEE604yXHn268LLN/8f/P8DSvvAoIV5AlQz/vzD8IldmYGfj4fhGzCp/AFK/wJWVn+Aan7+/Mpw8T4wI8tIMGjKg3qawMwHrPBZmSGOZ2aC9uWZwK1pYKUMqVdAyfzNNzagJ5mASR9Ym//6A0424PED0KAXsKfH9Owdy4vLrxj2
3f55E6jjNTDP/WdEq9AAAogF1IkHioHGcr4sTxU/KK/EoMDA8fc/rDkEKoE+/wD2e4UUgFEMrFCADgcWVUBHAMt6YNA+ffGJ4RWjCIOWLLBkAdUX/8BVD6zDhRg+QWIzQvGfv0zA5MkEHmZhYoGMIzB9+Mb07flXhqvXPn/dc+HT3Q0Xv5+9+vz3LqDy59gqMoAAYoEOBYI5R+/+2u5hwRnPyvYD3ISAtCh+M3z+A0yvwI7MH2ApAyo2/wFLJZAH
/v75xfDgNTCpCPGD+vcM33+BG9ygbANJfdBA+I/UwP3/D9HMYgHWL3+BsfwDGPovr31k+Pbk3adjV3++2n7l+7Uj936e/vrz/0WgK+4B8WNgOH9CT/8gABBALFBBcDLaf+Pb/jdvuN9I8DGIMDKCMjMwboAZ6utvbgZGFjZwMQlqKoGSAxcnF8OXL58Y3gLLeS4eBnBp9AscvOBuBAT/heTHf1AH//0LUQeu7IHygsC88OPnT4YPn5n/73itx3jy
3I176/ZenvL379+zoBEIYMC+BSab3/gG2wACCFwCwZLR1Wc/X526/Wcn4y9mSDiCgwqYWf+wQiooYEj9AmbcP8B8AvLE1+9/gC19DmDTAlg8AK35AcSgpAyqMkCFCMwjoNj4C60LQPUhqFIHDXCI8gDbVB+/gzI7o7is9L/QCG+DmGD7EGDyegAM1BdAd/1hhAJcHgAIICakEWUwveXSt+U/v7CDRlMZQXUaaLTo78//wND/CSx1/oJLH1AyArfs
gR75/ZcFHKI/fzMyANtvYE+AqpPffyEe+QuNid+/QO0pkCf+A4thBmBFBqxbGL8yvHr7FVyTC/NxMglwsf53tNHzkBATCoI26piho4c4x0YBAogJMaIMSUZ7rn/be/cx03WGP6CBbmD4/WFmYP/3A9g8+AoMXWATGdiO/wl0GdCD4FgAmg5sNoNCHpiEQI7/BQlhUAz8hhbnwKYMA7BJxPAT2DQDphhwLJjI/2J49vI9w/sPX4CR/A/YsONjYAN6
RE5ahEFOSriIhZnJEhhQf8D5HjLSiTUWAAII4QGgD4CamF9//vNjx+WfC/99AxbajH/+f/sGDB1eYDv9zysGYJ0FDEFgEgKmE1DIsgPLdA6mXwyfgNnr+3dIMgIloV/QJASifwJjD9g0Yvj+DRgDQPabdwwMZorAuoLlHcO9px8ZxIR5GZTkxYD1BAuwB8fOKCrE+5+fh09bXkp0j5ykcC9QXBg2Jgoa/kb3AEAAoQjAMvOqM1+WPn/N8YrhHyPz
j+8s/wUFfjGIs95ieP8JFPLAtj4wmH///s3Azs7GIMH9jeHzp/8Mnz/8A9PfgLX5dyD+CsJfQBjYTgL2kX8BQ/8FsDWjLAKaZvrEcPXuK6DnfjLISAoxKMtLgPOWhCg/MAb/MPLzyP9XklHnEBEULJKVEDwPFM/kYGcFdtv//WNiQvUEQAChcECZGTS+f+Xpjyc7L/5e8v8HN9BAln+gnp6e4HVgZ/ve/88/Wf99//Hz38fP34CZl41BQeQ3Ax/D
F4YXr5gZvn4EeuIDMI0DY+QrsLf27TPQM8BW7hcgDexJMqgK/2fw0f3EcPfBc4aHj98Cxb9BSiXoYBsvDzvDnXsfGaRF1RnVlHQZleX0/kpJKEgJ8fNN83QyOqqtoWAHTLogT8CTE0AAYZvgAJs26/CHiQ8e8b7+94+FmZnl219O1m//HUQPMP75/IoJ6HCmt+8+/QOFCDDaGSxl3zBw//8GTNNMDG/eAHtp7/4DOy/AmhYY4i+AfGBlzWCv+ofB
Q/Pd/3sPnzHcuv+S4Smwf8wNbCxJiPEDO1Q/gMUyO8Ojp68Zrlz7xiAiKMYgLiLHqCCtzqyhaPhfQkjlr4y4mMmSyXm7lRWlokDTNczQUgcggDA6yX+heQFY/j6q9RGeUu7P3sgArDG/PBdifP3419eTZzfc/C1hKmRlrKwgLMzHIMDL/Z8f6BMXlVfM997xMTz6yAmMNdAAHyMDP/t/BhnxPwxqoj/+cTB9Zbx1/yPjg8ev//FwszG52OqCG4ag
Eu3zl+8M/LzsDHsO3mZ49OgXg6gwE7C9JADs/IgCPcnLxMLMDSzBHv9RU5Jiq84L7QFmh+vA5H4eFBMAAcSCfY4Lkhem7P/QJ8QtqM3CzGG48fzny8fu/jj3/fe/C4yM297uOyzh4GStGx3gYaYjJyPGzPL7938diU//tSS+AmtfZnAJxQoupf4yffz2m+ni3Zd/rt9+/E1HXZZPSkLwnyCwJwdKhh8+fgOWPsyMh089ZNxz8CYDFzsv0P6fDF+4
PjHw8QgBA0iQgZ9HhIGL/yMLaMTB0lhNUklBMhDoiStAT/wGCCDsHoBUbKDy9wuQSgYK6UDb4k+Ann4PDLXfQPFT9x48X7Fp1ylPLyfjaDcHQ3NpSREWNlZGcAPwB7ABCEoaj5+9+3v6wu2n2/acPvju/edzceHOEe5AtZ++vPn/9dsPcMP37v3nDHsOXP73/x8L4y/On4w/fwG7ocCy+RuwJfr37y+Gt+/eM/iaCQPrj1/AvjYzgxA/tyqoawJ0
zxuAAMI7zcoEHctAn/YET5QBkyDQI/+hfHE+Xi4nTVVZV0kJIWUuDjaeT5+BnZAX717duf/89ucv366Aoh2o9AbQPnZ1FZlMQx3lCNCE3v1Hz1+9ePFWg4OdTZCVhe0/KzP7f3Y2TiYODi5gDAgA6wxmBgmJvwwFme6ghgGwAPnNFJszYenNu0/KgWY9BQggvJN8/7A4/D8UIHsEyH0J5C4HcjcDaTHQHDe08QmsHRg+AcU/ADPeN6gxn4H8lpt3
niwHsuVB8sBigldIgDtDgJcr8B/LX5Zff37++/X7BzB5fWISEeFg8Pd2Y/jw6ft/TmDb+9zle9/uPXxxB9Y7AwggkmYp0at0ZI+A4gqU5IDcLzhn1aG1KTT27gAz4V1GyDgSKMme+Pjp2yoRQZ5iAT4eC1A+kJXh/R/oa/mflZWN8ccPYFJ6/4Vh1pKdJ4HqzwHN+AgyCyCAqDpTj6/Rhe555EkKmD4QH8gUExXmi/F0Ms4GtouU2FhZ/wObL4zP
X777tnLj4aOXrj1YC4ppYIw+A+kDCCBGWi72IMfz8JkXFhY1CREBX14+LvWfP379f/Lszf3ff/9eAio7D3Q8vHMDEECDxgPIHmEEz26Au4+gipYXiEGDqKCS7zNQHKV/ABBAg84D2JIYPgAQYAByV/zYiTzyewAAAABJRU5ErkJggg==
";

$tools = "
iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsSAAALEgHS3X78AAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAQ5ElEQVR42mL8//8/w1AGAAHExDDEAUAAsZDkWyZGRkYGIGJgYIQKgaLv/99//wYsGgECiIVIRzP9+/8fiMDpDcOxQBWMQGWg2AR6
5T/DfzqmS4AAYiHkeJBT/v3/9xfElxTjF5IQ5ZP5++8/HwszI1Ce6fOrt58fAd37Hij9F+YZZqAE2Ld08AhAADHisgPkEJAD+Hm5WA20pM2NdeXslWSFlBWlhTj4eDgYvnz/yfDg6QeGG3dffXv68sONpy8+XHj07P21N+8+P//5689/kOcZYFFCQwAQQFg9AHO8q42mpr6WdLqVoYKYuqLIf1ZgsL9+9+X/zfuv/3/78YeBh5OVkZODlZGVlZnh
959/DG/ef/1z/e7Lh8fO3tt9+cazo7///P0L8ggtPQEQQHiT0Kcv3/99/vKT89aD1wwfP3//+/nrT2agUxiV5YQYhfi5QKHL8AeYnv4CMTMzE4OsOD+LjqqEkrGObMa2/dfMuTjZZgLVfKKlJwACCKsHQKEPtfQmFyd7k72FarKHrYbGr99//gMd/l9NQZTxzYdvDBduPAV5gJGDDRgLLEwM7Ows//m4Of4rSAn+C/UyMATK5QDNmQg05yssVqnt
AYAAYsRnJjAzMoKKSKDdXIbaskGxgaaenOwsjO8/ff9vbajAyMvNznDj/iuG7z9+M7CxsTCAkj0zEyMDGysLAw8329/7T94zT1p4cPPVW89XgORoUdwCBBDeigxkIbgYZWT4fv7q46VtU3dNufXgzQdZCX7G/SfvgvICg6q8KIOwIDfEw8BYYAHmB1AtAfQUk5QYL4OVsZIt0AgFaEAwUtsDAAFEsB4ApV1I0cjI8Prd5+OiwrxfJUWdS011ZZhP
X37y/8PnH4x6GpLgyuHXr7/gWGAB5gegckagGCi5CQgL8egAjXgIjO1/1E5KAAHEBCvvgZgZlGRw5QlgPgWre/328yVgSXP71+9/DPoakv+fv/7E8AKIuTnYGJiZIUkInJSYmcEVtgAfJ4OIILcskMNJi0wMEEBMsFD+By5M/v2HVUTYPAELN6BPf33/+Zvh15+/DEL8nAyv3n5hAOkA6oN4AOQRUCwA2cCilwGYV/iB2rhp4QGAAAI71M1Oy9LB
Us1NTIRXBBLa//5BY4UROUOD5GQkBHlkxAVk/wAd/+v3X8a/f/+Di1MQBsUfE9DhzOAYgMQEqOXx6w84hf2B2cnMRL28ABBALAJ8XIzpUTY+mspiio9ffIjIirV7cObSo0PAJHwI5BGww4H2A/mgNPFHW03SEhjqgsBKCuRJpq8/foGTCcgDoFAHxQLIfaDQZwTq+/TtL4OJ+D9xnk/MurL8rCeBYfADmqegzRTK8gNAALFwc7GJAR0gysfDzqCt
LM7Oz82hDixZNBRkhU2AFdE8oCfegRwKpP8ASxR5V2uNUFCRCax5GYF+AMUCMI1zgeoDSOZlgjge5JE/wPz/4eM3hij3D+Jinizpz56yhk4O5L1hIcu2/fijn3dZgOaCktxfCio5gABiAYYcHxsrE8+Pn3/Aofjhy4//zhYq/831ZY2kxPjlgElmLlD8oqOlmqmTlXqiiBA3D6jBCUwajE9efGBQkhUG1wH/IZkc1AwB06CA/frtF8O/v38Z3vzi
+C+t9plBhPWfoDEHm5WhBqtphB7XKqD920COB3nkD7DFSI4HAAKIBWgZK6i0+AM0AZgsGJlB0QtMv5zsrP/iAoxFgGV5fnywxRtXGw1pAV4OcH7+8u0nqE3EICMhwCALxMDcD6y8mEGtU3AmZga2rBmhnpEW52O4+MKK8ePnawwqf57+F1L78ZeD8y9LFS9XtNZBbjUxHub5QKs/gDwBDIP/pCYpgABiASr/A3Q4MAn8ZQS2IsEWg6L/zJUnTNLi
/P/drNXYxYR5Ze48evMfVPL8//ufEVRZaSqLM0iK8oKTDqikgdXC8CQEDARgk4LhFfsnBmBrj4HxFguDoNZ3Rg5ORub/P5n+s4n9+BvuwWaqLsklbyTNNhvoiaugfAHCpCQpgABiAdr78cfP39+A5ToXSCMoFkD6WYC16u1HbxiBNep/dSXR/8CQZPzw6Qc4o3JxsIK7ZMBYA6uDZ1owDQp9UJyC4D8GWXkxBqZnJxiEZa4zcIowMfz/AdT3G1jp
AP34n+PPPwPDf2KTRTgqog051wLN3ARKSqQkKYAAYgK241++fvvlGSgWQOn4NzBTfv/+m4Gfl5OBDRiywHYP48On78EZlh+YhDg4QBn4L8NvYNqGZ1pI5wZadDJASyJgIHByMXy+/4iB69tRBgEFoMQPRobfP5kYnlzmYnhxl53h/y+Qwv//haR/MVX4s4S1eHIXi/MyC8E8wUREcQsQQOB64MbdlydByQNUn4Fq3OdvgBlOgAsc2mxszODM/enz
D2Dz+ifDT2BzgRHWXGCCOBw1BiDFJzMbG8Pvj58Zvt3cziCm8pOB4TcT0BwGhhc3ORhE+f8z8Ar/YXhyl43h2ydmcPnMzP3nn78lg+GMMO4mczk2fZAnGMH1D35PAAQQ2ANnLj/a//DJu+fAkGXmYGP5e/vBG3C6Fga2+f+DkxMzA6jTAkourMywEGeE5hdGeDICNakZoZUZyBsfzu1kEJN7CwwIFlBVzvDyPjsD1z9mBh6F7wy8XP8ZRP+zMrx9
zM7w5hULI9N/YMJj/vdPQ/GfUH8wZ0myOVcoyChQsgbagbPRCRBA4GgCdla+bT1wbe6zV59/AJMI86cvP/5dvvn8n4Qo738uYBsHVJsywjMptKYF0qBYADdVgd3Lp68+Ajs9P8HJjpWDg+HdeWCy4bvFwMnPDGrWMrx/wcbw/x0bg4jqdxCX4ed9LqCH/zPI6nwDd6afPWZh+Pcb1CD5/19A4C9jvhNrYJcvT7k0P7PoX1iSwtKaBQggcH8A1mMC
lvu6TtbqSUqyIuI/fv3+r6UizggsSYDdx9//gU0HRkjpAgltkEmgzP7lxx/G+8++Ajl/GMT4WRlEJIQZuN8/ZWB+uZFBXA2o6DfQg1+YGF5d42KQUfrFwCjyi+HPPW6G/59ZGFgUvzIwcgPbGQ94gEmUkeET8x8GYR4GBmAZAUzMDP+ZgHX97RcMH7oPfJ93+O6vM7DkhFxKAQQQvEMD8wSwiBQDesBBRV5UX1SIR1JHTYJDWU4E1NsCuRjsaFD7
5/efPwzP3/1gePXiLYMYyxOGdz+4GP7yyjJIs/9hUP6xn0Fe+xuwyAXmH2DwgjKtmNA/Bk7Fbwx/nnAy/H3JzsAi/YOBUfwHw9/73Ax/37MysCt/Y/jN8pfh8RUuBinRvwysQLcC8wwwwTEyffjG+H/J2V9bZx3/vvr33/+/kbuoAAGE0iMDpad/kBYpKM0Jc7CzyAgL8qgCPaCmoiAiJcjHxQlqFf369ev/zccf3wn++fg3xfitrLzcF/Bo0ZWX
4gy/P/xnMDB8BerdgNP9U2Cm5QE6Q0D7K8Pfd6wMfx4CCweBXwzMQM/8fcHB8PcZBwOT+E8GVpnvDO/vcDL8/MIMzuTggZz/wOLgH4gEhsVfJqYD9/7c6Nr/bfqTD39fwzwBEEAYXUr0DgeoYgZSvMAAkQC28YWBPmP/9effb2k+BpbJgRxRmpo/uBlYQH1oBsY3wAzJJf2XgQvoAFDCfvOUjeHvGzYGcWBsAEtdhj93eBgY2YB1h8pXhv9fmRn+
AEOfkRfYHQWG/tfnbAxvnrAxSIsCMwgQgcugfxBPAGMC6CPGf6wsjMzHHv95UrjhS/fHH//AngAIIBZs7X5kj4Ba10DuBxBmBAMGZvBw4n8m9rvvmA34H/GZsnL8BhavDP85Rf4zcgkDi+NvwIbcLyaGD0/ZGeTVgTUX0NF/b/BAmuWy34E+ATZdHnMCa2hgLS73neHPJxaw40HJjBHkfnCYg10BikRQiQbq3TH//sXw11KaRSZAjz0Y6JC5QLf9
BgggnMUTskdgACQGjLY/oOT5/NPfb6Wbv0ybdOjH5h9fWP/xMLEx/vjI9O/7e2CzAuhFFub/DGLyPxmev2Rm+HIHmGx+MzMwS39nYOT8y/AX6HiQJ5jlvoELg+d32BkEeP4zsANdA2zkMvz/DXTvT2aG/9+BBgEDAhSbjP/BnmFiBso7KrEaAAs7RZD7AAKI4Oj0fySA3E8Gd3iA2WHD5R/Lc9d/mXLnzd83IgysTK9vcf5795LlP6hG5hP4yyAm
/I/hHbCEec/6m4FFGNg6Bab5v8AQZ5ICNkt4/zC8vM3JACofeDlBY0xATwErPMZfzIxfgbX219+gzhDQoL9M4BgBshhBSVGSh4mXn4NRBpRXAQKI7OH1f9ChXmD5zHjj1Z+TmWu/dCy/+OuSECcT08/n7AzPHrD9//OLEdj0+M8gLf8bGOD/GJ4CS5g/wLqAVewXAysw4358yMnw6zsjgzAv0PGgGAGGLrAV8/fCm99f2dn+M3AC28m/gPr+Mv0D
xxQsCNkgCQLURWUBCCCK5gdAfvgDqSkZP//496xz37cJ1du/rQf2Hf9w/2JlfHqf7d9XYB0AyjTiQv8ZuNkZGF7+AHaCeH8x/ARm7g8vWRjEBf+DMywoozIDW+vzz/94ePP137ecfMD0wv7vPyc7sMhmBnqABazuPyhT/4D04cEpHCCAqDLB8ReapIAtjJ/br/9cnbb6y8RLL/+8EgO2Ld48Zf335h0T0EJGBn5gOhcDlvHvHnIwAD0HbG8B20yg
UgboY2CfiPHjj79/P3xn+OFtwCT5D1ipMfMA4439LwMzxz9Inv4PaSw+//Tv+8cf/z+DhAACiIVanWtwvgDGKyhJAWPlHDc709N0S86YaH12468fWf8///73v6jAf0ZQshAFJxlgeQz0MShNM4AyLrAS+8/4jzHTnUldUAwY5r9BRR0wkwEzPy8wGf79BG5lMIAy16mnf14DmyPvgNp/AwQQCzWHOGC9KWin5CXQP1OuvPjjVWLL6Sf0l4X9xau/
/wT5/zPxsDKAG4Qgx4PbruBYYGTgFfvD9BVYkX2HjkD+BOYhbmCxzACs8EDywPYk47Nvf//vvPnzLlD6NajFChBANJkjQ0pSv3bd+Lk+fd3nCWde/n4uxsbC9OEd8783n4GFItCNoDYruJYBFfvfgDnlDxMDt9hPhn/ATMvA/o+BVwiYjN6yM/z+BOr1Ar0JDO5VV34+fvDu301gRIAmVRgAAoiRlpMo4OETRlDZ/v8/ByujSIo5Z3S8AYf5T2D7
7ScDMElxMzIBkz64dcoIrbyYhYANPi5gcvrBzPD3LRvDvx/AXhwjWD/jnic/P5ds/rL3xx+GI0B3PwOZDxBAjPSYzoL1c4H2sTqqsrqX2HIFSXAxc7z/+fc/HwcjAycTpMYFtdr/A2MB3JkE8Zn+g+sTNmC5efT5r28V274ee/3l3zGg2K2/0C4nQAAx0ms+jgk6CwiKDRlBZp0MC84wM2lWZVB/X5AdWF9AYgLUq2WAJC8G8OjIV6DApls/30w6
8u30+2//zwEdfxvo+F8wcwECiJGeE92Q2Ux4HuGT5mfS15dk0dKXYlEylGIRl+NlZgOVTH+AYfvh57//F1/9+bT+ys97R+//vgKMkRvAJswToN7fyGYCBBDjQMzUIw+dAP0EGmwSBCYlGSVhZkUuNkbBP3//Mz799O/T04//ngMd/gzo6RdAxZ+wTVMBBBDjQC01QI4NJDFgccPADq2f/gFDHNSU+/kHzzgRQAAxDvRaCdisDb5JD3yTIgABxDiY
Fntgm4IiNJsDEECMQ321CkAADfnVKgABBgAjWonEKGhxjAAAAABJRU5ErkJggg==
";

$logo = "
iVBORw0KGgoAAAANSUhEUgAAAFAAAABQCAYAAACOEfKtAAAACXBIWXMAAAsTAAALEwEAmpwYAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAo8UlEQVR42mL8//8/wyggHwAEENNoEFAGAAKIBZnz6WLnADkDnAuYGf7/Z2X4/48VyGcH8xkYGKGS/4DM3wyMjL/AmIHxD0RqYACf
fjmcDRCAGDpWARCGgTB8iQ04tJNL3Xz/xxJECk6KUGpNzFu4Hv9yX/gJjB0qOdjkDplYZtCQSdICiRkkERRGx3JEU2ivsLei38Wea4W23bfNTAuID+9OgNsfTz4BeKV7HYCgKAbAbS6JCBKzWA1G7/8MFrPBYhW/y+XWWb2AqVOXr/0RUJGB5ZY1XdIiLjpEaQOXGVpRyWXlw9hJRBDxfZjMyIgYQN1iuDb6deZ9GuY1wu8D/NELmmyIxbq/Yb4C
iIU+AfdPCphS9JjYeB0YuBXc/rOLq//5z8r25y8wbwIz6H8g4/8vIP7/AzlLowFogDIyMjIxcfIzMvHyM3EwaDIz/WdgAWZ+pl+v7zN+e3T4/893u///+30GGNzAwGT6QWvfAQQQ7QLw/z82IKHEyMxmw8gtH/iPTdT4NyOv2J9/zIx/v/9m+PcP6Lf/oJTFxMDEzMzAysbGwMTEBPQzKKj+IwUkIiWCUudfYIj//f2H4e+fn2D2b5AKJiZGFhZR
JWYeIOb+GsD8590Vhm+Ptv/79WkXUPomMFV+opU3AQKIhSYp7t8fBUZWbg9GXpX4vywien/+c7D9Bqayf38gOYuJiZmBg4ODgY0dGGgMfxh+ff/459PbF58/vH/79eu3bz+B+NePHz9///716y8LCwsTOzs7KycnBysPNzc7n4Agl6CwBB83rxAbAyMbw69fvxmA6oD4BzQw2fhZWOWsWfklLJj/fUhk+Ppg0//vrxYBy1RgQDJ+p7ZvAQKImgEI
TCr/hIApypKBRy72P5eS508GPt7fP38AU9t3YPnFBE5l7GwswBT09d/7N08+vn754uPd29df37p19/WjJ68+PH/98fP7j9+/ffr848fXH79///z15y8rKzMTFzsrCy83G7uQABe3qDAvj5yUKL+amqKoiqqmqLiUlICgkDgfD68gMJL+Mfz68ZPh989vDH+AscTCKqbMyi9cwMx2z5Dh25Ol//983w5MjS+Abv1LLU8DBBC1AhBYq/5RBFaeEQwC
evm/GARFQani75/PoCILktrYmBn+/Pz4++aF049PnTz98PCpG0/OXXn48vX7769+/f73HJibX3Bzsr0XEeL+LCcj8kNKjO+3mBDP7/efvjO/eP2Z7enLj2yXbr7i/fLticDff1fF2VgOSQrys4vrqEmJmRsqS9jZmCtr6JrJ8PJLcv/6/Z/h548fwMD8yvCbiZmRlU3FgV1Ixozp00XTfz/ezgIG4mVqVTQAAcSI3BMhrx34nxPYxDBm4lEs/sup
6PHzLyvHn18/GUDmsnNwMnBxsTG8enz9/dnTJx/sPXjq/tHTt+/ff/L+lpAA91VnK7WXhlpS3+QkBZikJXi5JUT4hYGBLQLMrgLAXMvBzMbK+v/Pn78/fwLT8c9fX75///7y3fvP7x4///Tl8fOPv6/cecG2+8gt4cfP36tKinDrmhsqKTrbmypYWJgrySrrif38zcjw4/t3oFv+MbCwsgEjEZgLfj4+/v/T7Un////dBszvZJWNyO1AgACiLAD/
/2NnZGJ2Z+BRLP/DoWj18+dfYPb8xQDMOwycXBwMP768+n7+9JEHq9duv3Tg5J3LP379u6KuJH7Lxkj+ZVyQCY+SvKQ6EzuP7l8GDo0//9gU/jKwSf5j4RH7D2wQ/vvPxAKsX4GN6n9/mRn//WFk+POd6c/nF0z/f7xkZfrzhJnhx41/v79effP6zdX1uy6/2bL/uuD1uy+VP3/9oWNrLK8b5Ouoa+voosYvLMf74+cfYLb+CQwvZgZ2Tk4Gtr+v
7jN8vNoNbFquAabG15QEIEAAkR+A//8KMjKzejPw6TT+ZBJX+vUDEtPswOzKwvT73+1rZ54sXrLmxMY9F0/x83GfdLRQvZUeYf5fQVZMj4tXxO4HA5/jL2YRwz//2Xn+/QOWAKBSAFSM/gdXt0gNGUhNDCoKYBUyE7AIY2QCpirGvz9Z/7y+zsn85cTvr292PX768uySjec/bz94Xen5q/cmloYKZtFh3qbWDu4ajCy8rN+/fQWbxsrGwcDB8vM7
46dL/f9/fpgKDMTnONpOBAMQIIDIC0BgL4KRiSWCQVCv7sd/YZlfP76BPcjJzc3A9O/zn83rlp2ds2Tnyau3X2+JCTA9Upxsxy4lLmD6h4k//DencsCv/9zCv//8B1YuDOBUwcTEAm7OgAMJuc2H2d0DB+4/IPvfX2Bv7h+kR8fCwsjAxvTzO9uvR/vY/71Z+unT1wML15153zx1p7YwP4d3RqyTQ0hYhBGfqDL/l09fgPb+YWBmZWfgYv//h/HD
2Y7/Pz/OYGBieUpOAAIEEOkB+P8fH9DTgQyChi0//gnIgGo8kOd5+XkZXjy6+nbx4qWnl60/uUNBVmR7TbbLU2sjea1/7OLJP1mkfH7955H++48Z3M0FNWVAgcfAyEh+pQ8MyP9/gc2j/6BGODBQgI1qVsZvH9n+PN/L8uv5gjsPXh2ctuw45+a9l73c7bQ80xJDzdV0rOW+A9uhv0FFDTgQ/3xh+nx12r8f7/qAKfElqQEIEEDMDQ0NcM7Pl0cJ
VhhAT7swCGi1/GAQVgClPFAjmJuXi+HBzdMvps+Yu3fVlnNr3Gw11/dU+HzS11YK/cYsXfuDTcn35z8uflAXjZkZ2PZjZkFKbf8pwiBzQJHBBOw2/wMm6T//WDj+solo/mfishAXYOZwsZC/8f3nv9Nb9195d+v6TSZ5GT5BaTkFob9At/wBBuI/Rg42Fg4BTcZfb94x/Pt9m5i2IruEDZwNEECkBCCwkPprzsijXP+DRcYA1EQApR4eXm6Gx7dP
PW/rnrn90On7C5sKvTeVJNsJ8/AJZXxh1275wSiq9PcfIyMo4JiBAcdApYDDwEBzIcUBM7D59Jfh9392wX/sEo5M/35IOZuKX9BWkTqxeNO5+xcuXOGSE2cTUtHQE/n9+y8wEIHtVCYOTlYuYTPGHy9vAP14B2jWH2IDECCAiA1AYO/qjwojj3zDbw4F15/fv4GbKbx83AyPbp9/2dE7c+Pz119nthR6nwp01dT4ySxa95NDLf3XP05uUHZlZmZF
L8loAmBRAy4eQH0cYMP6H5uQNjBlqipJMD93tlI9ffjMw3tHTlxmVhBnk5JTVBX+AyyL/4J6SCxcnCysLAoMv97eApr0EJ9TkQMQIICIC8D/f8UY2QQK/nBrxP74/ofpP7AQ5uXjZ3j74vbHzp6pq959+N7XWxV41dJI3uIrs3TvTzZFvz9/2VkZGFnB5SPVUxtRKZIJPBr29y+wwmHhV2Zg5jQT5/3x3N5U6eSN+68vr9t6mE1Vjl9WXkldCNQd
/Pv7NwMjh7AUKzOD+P+f704C9b8jJgABAoiIEen/wF4Yqw0Dr1rsz1//WUD9WTY2doafX1/9XLVy9ZHXb78uai32ua2pJGLy5b9w+S82BYe/f1kYQY4HDwoAC3jQkB798V9wQIJq+L/AVuRPRlH172xKTaKi/O7FyQ5vJcWEFixduWnr25f3P3FzcwFz1F9w7+UPm6QdIwtnANAMfmJSPUAAMRHR3pNk4BSL+vmPW/QPsF/LzAKsNLhZGbZv2XDh
+Nmb86uz3U/oqIopfWMSq/zNqeL3+/d/pFT3b2BSHxz/A2NQRQdqMv1kltD8zixVLSrIZdNfE/gImNnnrV616sjfXx//gPrpoBGen3+YORl5VTOBnjAkJgABAgh/AP7/z87IwuX6l13GA9RQBjmKk5ON4fLZQ4937D29NMDVcKuZrrTY93+cOX/Y5Xz+/GYEZxtQ+QhqVA8eDMrSoMrlP8NvVhnz3+wy5TycLBoZUTaXLl29v2jPrm2XubnZwQMe
v4Gp8CeToAIju3AoqLNAKAABAohAAP6VZ2ATDvj1l5X7DzDrgnoZXz6+/r5h445dprry68K89H78+MPk/ZdbNfn3PzZWUE8C2dGDB0PcBCoXf//+BwxESaffjFwJeuoSwg4W6lsPHj6z7sWTWx85ODnA7clfP34x/OeQ8ALmJAMGApMvAAHEhLefy8bt/ZdDyh00JMXEBGztszEwnDh26BwzE+OMSH/jp0xMTCZ/OeVygdmb7z84t/4b9BiUQ37/
ZWX7y6OR+/MvS0CEr+EXAy3pJZvWb9j15+fnP6zA7vefXz8YfjHyyzOwCwLLwr+i+AIQIIDwpMD/0oyckv6//7Fy/PvzmwEUOw/vXHl749rV9fHBFmcEedmF/jBxh/5hETX8//c/ouAe9BiYGv/9Z/jxm5XrP7toDAsTg4q7reaD12/eL71/98ZTTmiFAhqO+88m7AYMCB18AQgQQDgC8D8rsFFq/IeJV/vXD1DqA3bAgf3NixcunpKXFtkqJyXI
8PvPPwtgMg/+82ewZlvc2Rk89AvsAv5hFbP5w8jhISrEze5ur7336qVze39+ffuflZWV4e+vnwx/WYQ1mDgE3YEhzoUrAAECiAlH5cHPwMJj9+c/mwgo9YFqqE/vX/78/uXDNgsDxRv//v0VALaZAv8yCyv///sP3MEfUhg0kwVsaP/+w8zyn1XA+9/fP0rG2rJf/v/5uf3OzauPQFMNoID+DeyPAIPABpQbcQUgQAAx4WjSKzNwSXmCClyQQcxA
VVcvnj6vpSy6W1ZaENQ4NfnLJubyEyj/D5zy/g45DMrKv4GN5z9s4o7/WTg9WVgYmXQ1pA88efLoACMjaLiMkeEXsOz/y8ipzsjEYgDKldiCCiCAmLCkPlZGFg7dv0x8SqBkzAxsQ3379vHPuzev9snLiNwD9jN5GZjZgamTQ/4faDpyUDVXSGvagEZyfv9hZWfkEPf48+ePlIaSxBtu1j97v3x8+wPYrQNPgv35xyoM9K8ZUAMPtgAECCAsKfA/
LwMTl87vP38ZgVmVAWTQZ2D+lRLlPijAx/kb2K+UZeAU9/j7n5lxKNS6eDGwkQ2qcf8ycmkA24narGzMDDLivOeePbp9mwWU7YBqQCUUsE1oAeQIYwtAgADCFoBC/5nYVEAjGgzQ7Pvz64f7shICV5jAywNYNf+zCurA5Icu/gNMgcA+MLCM/8vAKgn0lx4wcXAIC/E+/vTu5dm/v3+AG4CgPjKwL63OwMQih218ASCAsAQgo9R/JnYFUPZkZPzP
8OcvMBl/f3dFUIDnFdACLmCnXOf3XyZO0IjwkMmu0C4dDP/7B/TTr2+Qgdh/fxh+/wN2mFn5rIBZWoCXm+MTBxvTmR8/vn5nAqaef6BAZmQTYWRiVcA2iwkQQCzow+bA5ovsX2YuuT8/foNXCvz59f0fK/O/6ywszH+AjhFjYGJTBZYXkObAAK6QIm3y6z+0svsHar9A3Q6pLUGsvyD/sPFrM/x4I8XMxPRCTJjrGjBrv2Nl45b+A0xIf//+ZWRh
YpNn+PMDtODpC7LRAAGEHqIs/xlZ5f8xsPH+//cFmKrZQLNZH3m4WO+AeiL//v4XBcor/P0Laoz+RRpVpnQEj2pL5BBtPfgcCqSZhbKQlBEpwfyHZlNOLjlmJhZ5YA19ToCH4+E3ht8vgIEp/RvoT1Bx9Z+RRQqoAdQeRAlAgABiQa+BGVg4ZP5D20qgQANW6Z842VlfQSbHmMT/MbJL/fvzh0ojo/8xJoz+EzP0+h9V/j+0fQfJqiRYCwPAQPoH
9BgTMJAY//1hZmNj/vjj36834NAFxwHQbEZmUWCtidGgBggg9CzMBkx2wv//QbtmIAVM/z9zsLN8gI5oiPxnZhNh+PEHssSPrBSEFFjQlPL/3z8ifEm7VA3KTaCeCbCiEAV2S1mBRdc3ln+/34LEwe4Euu8/IyMfIyQFogCAAGJBKypYgemOC9Y4BjUmGRn+fgWGPHiiBWgO3///TBz//v2GepAJu/MZGVBTBwM0sMBh8g9mF8UD/IxEJS9iopQR
PCH1/z8jL9BMVibQxNK/3+8g3T5I2QmsALhYQcN7aJYCBBAL5lo+Jvb/DNAy4z9oUSMDKPB+gVwL7IFwAi1jhaUcnLO34AhgQAo42syEUNNUSAAysAOTBPN/UFfk/98v4MiGFg1AaTbQnDy6PoAAYsHiKCYGWNYCamRlZvzLBFoaCk41/1jgcqDkzfQPPblBAw2tbBsStTWoufMfvC6bEVx0gZYMg5MSrLhhBlJM6D4BCCDMAAQWgKD2H6zByQSp
asH6gEXjP0b4sNU/cFeIuMw12LdSMEJzDTTPgmbbgF2Rvwz/4T2Wf//+/YOXP0gAIIDQApDxz3/QHB8LLCWBykEmdmCcsEGT+U9GYGkLLBmZ4fUl1kQ2tPaeMELLcpD/QM1CoOtZmJlZeGAByAjJVb+BvN/oegECCD0F/v779/d3eACCayYmTmCAcTGCa/u/nxn//PwFTJac4EHUoRtmqAEIynGgMcJ/f7+CRrlAzTlgG1gA0jr6B6upfwLV/ETX
CxBA6Cnw159fPz+ycEAKT9BgAtAMHmAy5AWVDH/+/H7778e3j6xsvJx/h1JPhFBNxASuLIG9rl9vGDkZfwMDjQvYdROAjXVCurR/vjAwM2As+wAIIJQABDZbfn3/9vkZD+8/cEkK7u8yMPEBOUKQ9ub/Fz+/f33JzsknAaswhkMIguaO///7/fvv718vGDjZQeWgALBNKPb/N6JH8+c3sGHNgtqNAwGAAGJCTcqMf//9+f3o989vP5hBHWlgj+Pv
fyZBRtAAAzDAODhYngP7iA8YYVXVgM75UgeD/AUasvv6+f0rYPv2IdhjjEyS/xiZREHVASMDpEfG8P/PUyD9FT0AAQIIJQDBw1X//z3++uXTa9BAKmik4t+//+zA3okaqFxgZ2N9++vnjzuMzIyQzPsfdZRjKGLwCB0wFD68fX0X6Ktn0IQk++8fkzAoB4I6E6CKmen/n8fAvjHGvhOAAGLCqI+YGB//+Pb1MRMzZLIIPHDAyq0PjCkBFhbmH4z/
fl39++f3XyZWpiE0kYQbg/wJLNsZ3r15e46Dg+01UJAb2MjQ/PuPURDUvWNmYWH49ePbZ6CfHwADFqMZAxBAKAH4D2ggDzfHiz+/f96CdONABetvYDyxqDAyMikCYwC0iPHyqxdPH4ImXmiyTI2eGNR3ZWNj+Pbt23tg2JzkYGf9DkwUogxsPFZ/QK01YDMOmGgYPr578wjIeYCtBAUIICb0cTOgIR/+/f55FdTOAw0oghaN//nPJA1Mmtqgljon
B9v9h/cfngZ1sJmhw95Dd0gftJOAneH9u7f3BXjZz4KH8RmZ1f8xcxsCa2TwcN1/hr8Mb1+9ugQsvl5iqzIBAogJvUYHhvhfVqa/Z9+/ff2SHTS99w+0HPYfHwMrlxcw0CQF+Ljefv70ZdO79+/fgCbbwat2htq0JnS4jhVYeXz7+uXv44cP90qJCdwDNqT5GFjY7X7+/i8CmlBjZWNl+P7t29cfP74d4uJke4+tSw8QQEzYOmHAVHbrwb37Z0Ht
I1As/PoJmmTmcwamSX1uTjYGGQn+A3fv3L/AxsHGAKpQ/g/F2hdYnHFwcTDcvHn39s/vP3bz8nD8BWZf5X+M7Hag3U6g4X52TnaGDx8/PRHg5TjBzsbyF9vufoAAwghAUDkowMf56t3bj/u/AgsHYNXL8BeYnH/++ivIwMzhCmxci6gpiT+7f//x1sePH7/j4OIEp8KhtDIBvPGGhRUcSNdv3t8tJSFwioWJkQWY+tz/MHGa/wKvBWIGJ4xXz5+d
khTlv4NrQAkggDADEJi0ubnYf/Pzsu9/9erNA05uTsjiw+8/GP4yc7oBpQ0FeDmB7U3W3SdOXTnJxs4KLiuR1+MNbgzZe8zDx81w/fqd+8AKc6OWiuRHYGtD9T8rr+/Pn39Y/wNrZVDZ+PzZ87efPnw8yM/H9eXff+yj3QABhHVlAqg9qKUqceXOzbs7v339+gdUFvz58Y3h518WTQY23kSgtKS1sdLVBw+fz79x4+5j0BYHRthw1hDAoF1U375/
+3ngyMV1Rtqyx4BZlPcfE2vwzz/MJj+/fgEHMChhXLt29zAwN+5nY2XGOaQJEEBYA/AvMEuKCvH+/PHjx/bLV2/f4AKtWAKKfQcaDowb9z9//7uoK4mxGGrL7N68/fiOv8Ao4wRlZYbBHnj/wFtsWdjZ/m3cfOAYsKxbqach9f33n79SbIISYWzsHGwcwJTHK8DH8Pbt289v37zbpKkice8fngFhgABiwjELyMAKWvelIHby8pW7W7//+PGbjZ2d
4S+wbPj+/bfQf3aBvJ+//xibGyh8ePvu8+LVa/ccZWZj+QNK9oh52EFUYUD2NgG7t8wMfIJ8DCdPXbqx6+CVha42Ghd4gBXFn/8MH8+curz58OFTl169efsC2Nj9vf/whSMykvwHxIR5wZ0JXAAggHBudwXtvTXWkf106fqTjecu3PC0sTLQ+/XmJ7As/MrAyi5owsHIHi8lyvTU303v5LQlh5bKyUoIW1vq6/79C9rY9wtSMzMOirECyHYEYI+C
T5Cf4fKVW4+27jy1ztVGfZuxjgzLnz+/eN+9/cy0ZNX+S09efuIAlu8CwKDm/vrt5+bOct8H/whMRwAEEAvuuWhgI5OdhcFYT/7ctv3XNxsZaqgDszL718+fGb5+/MjAIsiX8PPPx8fOlqr9Zy8/XjZt3g5xNhZmNisrA/X3r9+Cmz6Mg2S4C7TIHJQtnz9/9XL9psNbrYwUjkb4mpn+/s+q9Z9VQElIhpGjJF/6z/Mnj55fuHrvze5DV746WKge
kpUU+A/aa4IPAAQQ3r1yoMoEtFV/5vKjhjy8PJ0hgY5Ov75/Z/4FrJHZubkZeHjYn3H++1z45duPdRVdW6SevvyQmJfiEW5qrKX+49t3ph9fv9FmDp2UlMcKSnkCDPcfPnty9Oj5IwYGup8srO00WTn5lf4Ck9+fHx+f/f/76wcbJx8vCyeP6L+//xk/vn35hPXnwyUMvz5uBabGF5BzahAAea8cQADh3WjzH9yoZmXg5+V8tWzjqa8CPOwaGuoK
Ej+ADU3Qlod//5l4mTk4DbhZ/z20MlQ8e/7606uLVh9hFOJj41VXlxNmY2NjBS2VRWx3oN9SDlCEsQN7SjwC/P/PXbh+7e69ZzddPIN0jMwsdL68e/b0yrnjxy+dOXzh5tWz9+/duvLk1rWLD+/funLj28c3T0RFhQQ4RTWjgf5T+ffjLWiI6y1yICJvtAEIIII7lUBzKcCC9P+rt18e7T18VUBeWkhJRkZCALT0F9TdYWBmE2ZiZdcQ4GZ6qqcu
ee38tWc3dh26wvjn9w8ODTU5UV4+HnbQWhrInAx9AhG8l4WXh4GZne3XyVNXrzx7+va+i4ePjoyMJMfpg5s3nzh+5O6HTz/l+YWljSRkVUyFJOQNefjE1H78YhB79Ojh9xuXz5z9//f7OzEFA38mFnbFf9/fXIUEIuSsBeQABAggorZ6gQYNFGSEfh89e//p+cv3hY0NlFX5gckS1LgGdbqBbSgJBhY2AyEe5tc+TtoXL914fnnR2hM/Pn34wKas
IM4rLinGy8TIxAhelIS2CoGROjkVNiDMwMHJycAvJMjw4fPXd0tW7Dn68NGLy1GxMVaCgnysqxbPXvv0+Wt2Sxt7ZyNzJ0dxSTkpXj5RQR5eYX5BYQlhGXklGVUNLXVOTjb+QweP3vvy/ukNBQ1DN6C5Yv9+fjjLwMj0Hj0AAQKIqAAE9U5EBLlBGfH91v3Xnj9+/FxUV1teVkhYgPP716/A7AzsO4LWjrByWrAz/2dxNFe6IcDPfXbOquNvjp66
+Zfx3+9fkhKCnGISotygIbF/4LUof+GrFiBrUP6TEGSwtTAQvaAIBq2u5xcSYPj158/n/YcuXJk8Z8fhd+8+7c9KCVQWFRfX2LRu9R4ONubf7p4+Prz8kqpfPnxk+PH1M8Ovb18ZfgM7CaCtu7++fQPmqt/MIuLSUspKMrxnzpy79vL588/qeuZ+/358fPL/789rwFj6gRyAAAFE9HZXkCMfPnnHcOH601e37r/+8OXTF2F1FWlJAWC9//MbJCUC
Kyw+RnYuaw42Jn5rA9mnwJx+8uCpO/d3Hrz67fadJ9/YWBj+CQrys/Px87BxcnIwQYbK/yMWB6E1fBmxiEEar4zgbApqm4KyKicXF8P3X38/X7xy796iZXtPzFhycN+fP3+3tZf6vtY1Nk3at+/w82+f3l738nJz+vOXQ+3Tu7fAgPrOAOqygUabwBjE/vMLKP6D4ScwUHn5hURkJLhfXr167QawkyArIioi/vfHh5PAAHyBHIAAAUR0ALICHXz7
wRuGSzee/f/x88/9q7eevX7y5AWbhpqslKi4EA/48BtgxfLr5y+Wf8wcJn8ZWKz11MX/RnjpX2JlYzl9+PT9uys2nX5x7tKdVy9fvX3HwcH2D9gsYuLi5mQG9reZgFmPkYWNDRgwTODIAq1NBPWxQQEFmrMAbT1gB3bBQL0iDmD/nJmV7ffPP3+/PH3+7sXuAxcuzVq8+8j0hQd2Hz13f5OYCN+G2W0Rj430VYKfvfnpfv/29S12VgZC/xl5PT+/
ecXw7/cP8OpUYO2LFf/7/ROYGr8wiEiIyQrzMl88c/bKW3klZXtWpt/3gPrOAwMQvqIAIIBYyClzmJnBJdeB3Udufvn+4zdDTpKHi7KStNyXjx8YgM0Xhi/v/jD85OTU+sPH3cfJw+dRmOy4ICHI9OjqHZcu983Zr3zk9C7DBauPaxtqy0rrqkkJaahIiigqSIoKAUsjYKXDzcHGwgae2gE24EArJcALSf78//P505ev71++//z02Zt3N24/fXX1
9ot3Zy89fPH0xcd7wDbrKR9nnWtpERZfNZQlGIDZVfbHHxa7x48fvVeVE3rIz8tj9/L5S4bf378TVe4Cw5Hh41tGbkkpCV3pZ693vnn7xldOjMvm369vC8FrhaAAIIBYyG+cMoEWG505fv7BrHd96z7Hhlrb2Vlqa7JzcHB8/vgJHIMff/9i+8HF5cPBwWrBxS94MjPGdoOfk/aJM5cf7d577PaRTXuvSu08dF2OjZVFVkyIW1RchIdfXIQf2PLg
AvYKgWkemBRBAfjzJ7Bg+/bz14uX77++fPv50+u3X99+/fEbNE73yN5c9UlpmvNnayMFfiUFcTtg7ALLtm8Hfv3+J8jI8k+RlfHvAzERAfYfP36p/f7ynuH/b9BiSWJaQv8Zfnz6x/CHW1BSWV7k3Y+/P17+Z+CUAcYrL1D6A0wdQACxUFL9sbIyM3z5+uvU4TP3vr778PXNw8ev7Xw9zIyEBAWEfnz7xgg69ObbR2B2+MEu8pOTy/s7O6ujgIjw
GV930RM+rnqHy9Kcbuw9duv+sfMP2B4+e8//4eN33ovXn/B8//mH68/ff6ygKQtgOfmHGYiBffOfIoI8n6QlBD8b6ch9MtWV/e5spcqhriShAMz6pt9+/rP/xshpxfTv76l/f/+d/8/IyPnn1w8+Xi6mF+zAFP3zxxfuPz8+Q1ZbELGyFhSAf78Du6U/2DlBw3vAgH//7+8vbqC3OZDVAQQQxUc/AT36H5iNr1y48ezlkxcfH1+4+uhZhL+lobmp
hgYHJwfb10+fwVtIQfgbMwsXKweHHRsHux2wDMwSEhe/FRcmdjY22OLSz5+/H/389ecNkH4G7P18B61TAXriL/i0O0YmNmCxwQlMlbzs7KySwPa5CQsrq+6Pv4zGX/4wav389FvwJ7DoYGL5zcDNySrBzMgoDKxE/v/59/0/Py870Lh/DH9/f///7xcwAP/8I6rtBArAf8x/GP785mEE+uM/FwfT31+/vjEyoS2DBQggqpydBWp//fjx5/Wj5x9W
btpz5eb12y+cHSzVjX3cDHW0NeUVGP//YwWVjaB2I2i8DVTLfWNh4QGmHCNgBWEEzKy/mJlZPzGzsX/k4mT8BjQPtKjzJ3RdIguoWw7aqgyMK57vf//xfgWGy+9PPzhB7co/4DO6/oBXUbBzcTMw8nCKMv5l4v79+9fnb7+/fwJ2Avg/fPjx+devH5+Y/v8UAlV0xKZAZh5mhr///oBWI/xjZ/3P9/Hzt0/crOwok+sAAUS909vAc/L/f3z++vPE
uWtPb9y8/1r/4IlbzjZmqrp2FuryOpqysqISoiJ/fv8GVzSgeQdQYP4ANVeYGNkYGZlFgOWqCHg6FXRoBCMjimfAy2z//YMshIRi8AoJZsipcJxcfMAA5GL48fPXG87//z4Bpd8/f/Hhtpggmzowcre/+/D9tjAHg/mPD1+gzSFGvF1BkLnsXEIM7z79eMDFyc3+/99P8devP53hlhJFOW8LIIBodQDjh6/ffx0Eduse3H74xvTA8ZvahloyylZm
qoq62gqyosK8AtwC/DxMDP+ZQdsIQE2gf9BUBDqQiOE/dDgM7k1GyLEmQAo8Nw0aFGVjZWBhAR2jwvT/x68/35+9/vTh6o2rL69df7Q+JdzymRA/188Xr7+cUZDlcOTl4RW/++jPRVFxLjM21v+M3z9/hWUd7P1oIAB2Thje/2B89/LTj8vKcv/1n7/+wPbqzfezKnJMKAuMAAKIpkeA/vv/7+GnLz8eXrzx7ACwyaG37eA1fSVZYTktVUlxfS0Z
cS01GXEpKWFhAQEePjZWVnZGxv+gPAPvpcBXYYNO4ACnTNA0IRMwrP/++vjp65eXj16+u3Xn2ctrt5+/Bpa9L4Cp/tmHT9+P6mtIfQl01//3/cffw4+evEs00+V1YGFh23bh4ccLxtJChv/uf2b4/uU7zuKIk5eLgVtc+P/Jq1+OqiuJf2Rj+Zxy5earm//+cZ5hAR2PhAQAAoheh9C+ARbk+1+9/XIKiCXPX3sqv3X/VVVhfi5pCTE+YUkxfj5g
45dbXJSPR5Cfm4OLkw2YK1lAR3+ARoP///795w+wgvnz8fP3n6/ffPr26s3nr89ffvj84s2nd2/efQWyvt/7+v33HWCggw4Re1/evfmfs7U6AzCyLhw7e2erujxXkqYix+fVO3/s//eXmclYSUGT8/UTti9vPwIrt1+QJR7AyGEFDeeL8jMwC8v83H/11zluLr4LuiocHi9efWS/cO3tRlcbjStMaIt8AQKInscgg2IOVCDfBgbG7ZdvPh8HYtFr
d19KMDEyCgADTICLg5WPg52FG9js4AA2W0ALuhmB3XBgXfH3z+8/wP7Bzz/fv//8/fnHr98fgG1QUFsMdHQd6Lyrj8id6UA3PQYRYR5QDn2/etvFbYfPvtL3shV3cLUS/bvl4PNTbz6wvNVTlFHnlxEU5P7zjQN8LgoL27/fzFzfn//menv+9K/rwGB66GbF6cTw96Pu6p2PtwFLxZ266pKf0QdYAQJogM6RBoOvUAweNv/x8zcIg9wDWw3PDF/9
DRlG+gftAfwmZDAwBYPLN15uDgY1RZGD05dflQUa5+ZpLWAT7ir4+vilL/ePXv51lJkF2Mbj5OQGtjOZf/35//vbj79fGf///CUvycZlY8jrzMH2m3npthdr1u+6saU2x/UiaGwU1PNCBgABNJABiLVZCcWUJfV/0EEHYDJSlBX6+uL1h43tM08wfflmddvfUdA+2PGP65sPrJ/vPv379OHzP2+BAfdDTICZQ0aMXVlBkklKRICF++N3zoMTlt45
s2b7xSvS4rxbJER5f2ObXAIIoMEWgFQvM0BhycfD8eLc1Sdravp3OB0+o/ExwFnlsJmuqIyVAaO4ue53EWDPBVihM/9iZOIEVrZ/zm8+8vbp6h3H3u85eusc0JTjakoiv3HNzAEE0LAOQOQh12/ff71+8OTthjmrTpiCTrg001e4Zawjy6QgxccGmjz7/OXX/wfPHv0+e+XR31MXH/569fbzVWCb84IgP9c/iBHY240AATQCAhAx8g0Mh59///49
8ujZu9NALLVm+zlxYDeRB9hEAnah//0BNpw+A5W9gOLfxJgLEGAAQV6DLX7I5MUAAAAASUVORK5CYII=
";

$pastille = "
iVBORw0KGgoAAAANSUhEUgAAAFAAAAAPCAMAAABEF7i9AAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAACuUExURczMzAAAAP///5mZmVxFKXxZMKCEZDIqH7y3sZ55T6iVfo1jNK+kmMfFww4MCRASERYVEjgsHaaflnFlV7OxrxMUFHxjRj4xILe0sAYHBoBbMJJxTBwbGLq2sJeKeZh/YcbF
whMQDQsLCUMzH19QPislHCQgGAYHB8XEwmZKKaKRfIh/dR4ZEp2ZlId0XSAbFKyjl1hBJgkIB1I+Jh4aFAwLCHBRLcPCwQcIBxoWEBotW6wAAAE9SURBVHjaYmCkMgAIIAZGJlwAtwwewAgQQEADJdWNTPlQgamRuiTQQAaSARMjQAABDbQw11DgRQUKGuYWZBoIEEBAA5VEJGQ5UIGshIgSmQYCBBDQQEVdIQMeVGAgpKsINxAS1MgEAyNQFEQw
QAmQGNRAgAACGmipLafFhQq05LQtEQYyMzMyIwgGGAkkQJIQFczMUAMBAghooI6wnjwbKpDXE9ZBcSHcCCSEZCDMgUADAQIIaKC+ipg0JyqQFlPRR3IhkpuwGwhzINBAgAACGmiirCnFjQqkNJVNkAxkYIQ6E0SA+TAeUthCDQQIIKCBAoKGZqyowMxQUAARy8wgBA4mSFiBEJyHJA42ECCAgAbyq4kbs6ACY3E1fjKTDUAAgQwUlVFlRwWqMqLk
GggQQFTPywABxEDt0gYgwAB2MhWVOE38EwAAAABJRU5ErkJggg==
";

$cadenas = "
iVBORw0KGgoAAAANSUhEUgAAAA8AAAAPCAYAAAA71pVKAAAACXBIWXMAAAsSAAALEgHS3X78AAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAACIUlEQVR42nyTS0hUARSGv3PvzKhzFWcILd/SA6lNStbCpOhJEkWLFgUZPQwKaREUtHEXYdTChZguCsJFgUFvEoQkiBYFYejCFj1M
GGksH6Mzc+fOnTktJkycqQNndf7v/D8HjqgquepWR+vO2qqSCyISvHP/1cDL4ZG7qppervHkAu91tXcf3NPQbvnzcRyX61eP7w8UW5uBi8t1xkqwt/PcpebGunY3DZ19g28uX3tw27YdWnY1nPH5vGv/C9dUlhxzUmmePBye/Pz0We9237fJRCpNwkn6fV5P4J+xu3bX+zaeaikNhWM0N46XnzxB/2IsKd9/JLFjCQqEgpzOjyqkdtuGj0P+wkht
ZMEhL6gmLuJOpJgOx9GEy40muoOmlGXBpYeN7vKz7IhHTeZiSuKnwDQEkrOsD/WzJT7E3iN2fXOFtGXFNv3kG4B/fggrtIZAcRgcwIaK6jDkASKo4s2CNYUCVG8ap9o/DjEgBRSCGiD5ZBaYaPa1k0CUDDT/pw2YemsxNRwgbQkEFCTHwQwXIQIsAEGgChZjHmY+WGjSA5ZCEZjmX2Yp9vwv4mWRP+6rMxOvkUYMRdOKEQQ3JEzNMpvlfPqxXhl9
IV+xASvjLkVQ2mRTdmCBkecSOdpGx/sZ7VnKrapLHURqBg7J2MRr0YlB0Xd94vacl0/71nHTg9Qt16oqsvKrVnmNyq2VtIbmmP4yx2gUHVPVaK4H+j0AqGviJ7eD54YAAAAASUVORK5CYII=
";

// =============================================================================
// Lecture parametres url
//
$sAct    = isset( $_GET['act'] ) ? $_GET['act'] : 'defaut';
$sImg    = isset( $_GET['img'] ) ? $_GET['img'] : '';

// =============================================================================
// Lancement des actions
//

if ( $sImg !== '' ) {    // Affichage d'une image
	header('Content-Type: image/png;');
    echo base64_decode($$sImg);
    exit(0);
}
else // Lancement des autres actions
{
    switch( $sAct )
    {
        case 'infos': phpinfo(); exit(0); break;
        case 'defaut':

			// Les dossiers des outils ne doivent pas apparaître dans la liste
			$aElementsAFiltrer[] = JB_RT_NOM_DOSSIER_PHPMYADMIN;
			$aElementsAFiltrer[] = JB_RT_NOM_DOSSIER_ESKUEL;
			$aElementsAFiltrer[] = JB_RT_NOM_DOSSIER_PHPPGADMIN;
			$aElementsAFiltrer[] = JB_RT_NOM_DOSSIER_SQLITEMAN;

            $aListe = array();        // liste des dossiers
            $aListe = advScanDir( '.', 'DOSSIERS_SEULEMENT', $aElementsAFiltrer );
    }
}


// ================
// CSS
//
$sCssStructure = "
    /*
     * Rootulle CSS - Partie structure (marges, largeurs, hauteurs, ...)
     */

    /* On met tout le monde d'accord pour bien commencer ! */
    * { margin: 0; padding: 0; }

    /* Entete de la page */
    #header { height: 100px; position: relative; }
    #header h1 { height: 100px; line-height: 50px; }
    #header h1 span { display: block; height: 80px; margin: 10px 0px 0px 50px; padding-left: 100px; }
    #header h2 { position: absolute; left: 152px; top: 50px; }

    /* Les titres de sections */
    h3 { clear: both; height: 50px; }
    h3 span { display: block; height: 80px; line-height: 50px; margin-left: 15px; }

    /* Les titres des fiches individuelles */
    h4 { height: 25px; }
    h4 span { line-height: 25px; margin-left: 5px; }

    /* Les fiches individuelles de la sections informations générales,
     * et la fiche de la configuration PHP
     */
    .fiche { float: left; margin: 15px 0px 15px 15px; min-height: 185px; max-width: 200px; min-width: 150px; }
    .fiche p, .ficheconfig p { margin: 5px; }
    .ficheconfig { margin: 15px; }

    /* Tableau de la liste des dossiers */
    #liste { margin: 15px; }
    #liste table { border-collapse: collapse; width: 100%; }
    #liste table th { height: 25px; }
    #liste table td.col1 { padding: 0px; width: 90%; }
    #liste table td.col1 a { display: block; line-height: 25px; }
    #liste table td.col1 a span { margin-left: 20px; }
    #liste table td.col2 { padding-right: 5px; text-align: right; }

    /* Menu principal */
    #menu { bottom: 1px; display: inline; position: absolute; left: 300px; }
    #menu .item { display: inline; float: left; padding-left: 10px; }
    #menu .titre { display: block; float: left; height: 30px; line-height: 30px; padding-right: 10px; }
    #menu .item:hover .sousmenu { display: block; }

    /* Sous-menu */
    .sousmenu { display: none; left: 0px; position: absolute; top: 30px; }
    .sousmenu ul { margin: 1px; }
    .sousmenu .sousitem { padding: 5px 0px 5px 30px; }
    .sousmenu .separateur { padding: 2px 0px 2px 30px; }
    .sousmenu .sousitem:hover { padding: 4px 0px 4px 29px; }

    /* Sous-menu des outils */
    #outils { width: 200px; }

    /* Aide sur sous item */
    .sousmenu .sousitem span { display: none; }
    .sousmenu .sousitem:hover span { display: block; min-height: 36px; padding: 5px 5px 5px 36px; position: fixed; right: 5px; top: 5px; width: 300px; }

    /* liens */
    #liste a, #outils a { text-decoration: none; color: #333; }
    #liste a:hover, #outils a:hover    { font-weight: bold; color: #f93; }

    /* conseils de la configuration de PHP */
    .conseil { color: #D9BB7A; }

    /* Pied de page */
    #footer { line-height: 30px; margin: 10px 100px; }
    #footer p { margin-left: 10px; position: relative; }
    #footer img { position: absolute; right: 10px; top: 7px; }
";

$sCssStyle = "
    /*
     * Rootulle CSS - Partie style (couleurs, images, bordures, etc...)
     * Couleur dominante 1 : #D9BB7A
     * Couleur dominante 2 : #816647
     */

    /* pour toute la page */
    body { background: url(".JB_RT_PAGE_NAME."?img=fond) #816647; font-family: Verdana, Sans; font-size: 62.5%; }

    /* On ramène les tailles des éléments génériques en em */
    h1 { font-size: 2.5em;}
    h2 { font-size: 1.5em; }
    h3 { font-size: 1.25em; }
    h4 { font-size: 1.3em; }
    li li, li p, blockquote p { font-size: 1em; }

    /* Entete de la page */
    #header, #footer { background: url(".JB_RT_PAGE_NAME."?img=header_fond) repeat-x; }
    #header h1 { border-top: 1px solid black; }
    #header h1 span { background: url(".JB_RT_PAGE_NAME."?img=logo) no-repeat top left; color: #D9BB7A; font-family: Georgia; text-shadow: #222 2px 2px 3px; }
    #header h2 { color: #947552; font-size: 0.9em; }

    /* Les titres de sections */
    h3 { background: url(".JB_RT_PAGE_NAME."?img=h3_fond) repeat-x; border-top: 1px solid #55422D; color: #55422D; font-family: Georgia; font-size: 1.7em; text-shadow: #333 2px 2px 3px; }

    /* le placement de l'icone associée à la section */
    h3 span { background-position: 99% 20%; background-repeat: no-repeat; }

    /* Titre des fiches individuelles */
    h4 { background: url(".JB_RT_PAGE_NAME."?img=h4_fond) repeat-x; border-bottom: 1px solid #55422D; color: #D9BB7A; }

    /* les icones à mettre dans chaque span de titre de section */
    #infos h3 span    { background-image: url(".JB_RT_PAGE_NAME."?img=infos); }
    #php h3 span    { background-image: url(".JB_RT_PAGE_NAME."?img=config); }
    #browse h3 span    { background-image: url(".JB_RT_PAGE_NAME."?img=browse); }

    /* Les fiches individuelles de la sections informations générales,
     * et la fiche de la configuration F4DCA7
     */
    .fiche, .ficheconfig { background: #FDF4E0; border: 1px solid #55422D; }
    .fiche p span, .ficheconfig p span { font-weight: bold; }
    .fiche p span.erreur { color: red; }

    /* Menu principal */
    #menu { list-style-type: none; }
    #menu .item { background: url(".JB_RT_PAGE_NAME."?img=onglet_left) left no-repeat; }
    #menu .titre { background: url(".JB_RT_PAGE_NAME."?img=onglet_right) right; color: #55422D; font-size: 1.3em; font-weight: bold; }

    /* Sous-menu */
    .sousmenu { background: #FDF4E0 url(".JB_RT_PAGE_NAME."?img=sousmenu_bande) repeat-y left; border: 1px solid #55422D; }
    .sousmenu ul { list-style-type: none; }
    .sousmenu .sousitem { color: gray; font-size: 1.2em; }
    .sousmenu .sousitem:hover { background: #DFD4B5; border: 1px solid #816647; opacity: .7; }
    .sousmenu .separateur { font-style: italic; text-align: right; }

    /* Aide des sous-items */
    .sousmenu .sousitem span { background: #FDF4E0 url(".JB_RT_PAGE_NAME."?img=help) 2px 7px no-repeat; border: 2px solid #55422D; color: #55422D; text-align: justify; }

    /* Icone du sous menu des outils */
    #outils ul { background: url(".JB_RT_PAGE_NAME."?img=tools) no-repeat bottom right; }

    /* Tableau de la liste des dossiers */
    #liste { background: #FDF4E0; border: 1px solid #55422D; }
    #liste table th { background: url(".JB_RT_PAGE_NAME."?img=h4_fond) repeat-x; color: #D9BB7A; font-size: 1.3em; }
    #liste table th.col2 { border-left: 1px solid #55422D; }
    #liste table td { font-size: 1.2em; }
    #liste table td.col1 { border-top: 1px solid #55422D; }
    #liste table td.col1:hover { background: #EFE7D1; }
    #liste table td.col1 a.protege { background: url(".JB_RT_PAGE_NAME."?img=cadenas) no-repeat 2px center; }
    #liste table td.col2 { background-color: #DFD4B5; border-left: 1px solid #55422D; border-top: 1px solid #55422D; }

    /* Pied de page */
    #footer { border: 1px solid #55422D; }
    #footer a { text-decoration: none; color: black; }
    #footer a:hover { text-decoration: underline; }
    #footer img { border: none; }
";

/**
 * Méthode avancée de lecture de dossiers.
 *
 * La méthode reçoit un chemin de dossier, ouvre ce dossier et en donne la liste des éléments, qui
 * peuvent être ou les dossiers, ou les fichiers, ou les deux.
 *
 * Les éléments lus du dossiers sont retournés dans un tableau de deux manières différentes. Pour
 * les cas où soit les dossiers, soit les fichiers sont demandés, le tableau retourné est un tableau
 * indexé classique à une dimension. En revanche pour le cas ou les deux types sont demandés, le tableau
 * retourné est un tableau à deux dimensions. La 1ère est associative et contient deux sous-tableaux :
 * l'un pour les dossiers, l'autre pour les fichiers.
 *
 *         $aTableauRetour['dir'] contient les dossiers lus.
 *         $aTableauRetour['file'] contient les fichiers lus.
 *
 * Les deux sous tableaux sont eux indexés classiquement, tout comme les tableaux de retour sur l'un
 * ou l'autre des types demandés (dossiers/fichiers).
 *
 * @param    [STRING]    $sDir        Chemin du dossier à parcourir.
 * @param    [STRING]    $sMode        Modes de parcours du dossier :
 *                                         'DOSSIERS_SEULEMENT'    => retourne uniquement les dossiers.
 *                                         'FICHIERS_SEULEMENT'    => retourne uniquement les fichiers.
 *                                         'TOUT'                    => retourne tous les éléments (dossiers ET fichiers).
 * @param    [ARRAY]        $aFiltres    Optionnel. Tableau de dossiers qui ne doivent pas être pris en compte.
 * @return    [MIXED]                    FALSE en cas d'erreur, tableau des éléments lus sinon.
*/
function advScanDir( $sDir, $sMode, $aFiltres = array() )
{
    // creation du tableau qui va contenir les elements du dossier
    $aItemsDir = $aItemsFile = array();

    // ajout du slash a la fin du chemin s'il n'y est pas
    if( !preg_match( "`^.*/$`", $sDir ) ) $sDir .= '/';

    // Ouverture du repertoire demande
    $handle = @opendir( $sDir );

    // si pas d'erreur d'ouverture du dossier on lance le scan
    if( $handle != false )
    {
        // Parcours du repertoire
        while( ($sItem = readdir($handle)) != '' )
        {
            if($sItem != '.' && $sItem != '..' && !in_array( $sItem, $aFiltres ) )
            {
                if( is_dir($sDir.$sItem) ) $aItemsDir[] = $sItem;
                else $aItemsFile[] = $sItem;
            }
        }

        // Fermeture du repertoire
        closedir($handle);

        // Tri des dossiers
        sort( $aItemsDir );
        sort( $aItemsFile );

        // construction tableau retour
        switch( $sMode )
        {
            case 'DOSSIERS_SEULEMENT' : return $aItemsDir; break;
            case 'FICHIERS_SEULEMENT' :    return $aItemsFile;    break;
            case 'TOUT' : return array( 'dir' => $aItemsDir, 'file' => $aItemsFile );
        }

        return array();
    }
    else return false;
}

/**
 * Calcul la taille d'un dossier.
 *
 * Fonction récursive qui rentre dans tous les sous-dossiers du dossier dont on veut la taille
 * pour calculer toutes les tailles de tous les fichiers de chaque sous-dossier.
 *
 * @since 10/03/2005
 * @author SamRay1024 <mailto:webmaster@jebulle.net>
 *
 * @param    [STRING]    $sDir    Chemin du dossier dont on cherche la taille.
 * @return    [INTEGER]        Retourne la taille du dossier en octets.
 */
function TailleDossier( $sDir )
{
    // initialisation de la taille du dossier
    $iTaille = 0;

    // ajout du slash a la fin du chemin s'il n'y est pas
    if( !preg_match( "`^.*/$`", $sDir ) ) $sDir .= '/';

    // Ouverture du repertoire demande
    $handle = @opendir( $sDir );

    // si pas d'erreur d'ouverture du dossier on lance le scan
    if( $handle != false )
    {
        // Parcours du repertoire
        while( ($item = readdir( $handle )) != '' )
        {
            if( $item != "." && $item != ".." )
            {
                // si l'item est un fichier
                if( !is_dir($sDir.$item) ) $iTaille += filesize( $sDir.$item );
                // sinon
                else
                {
                    $iTemp = TailleDossier( $sDir.$item, $iTaille );
                    if( $iTemp != false ) $iTaille += $iTemp;
                }
            }
        }

        // Fermeture du repertoire
        closedir($handle);

        return $iTaille;
    }
    else return false;
}

/**
 * Vérifie si un dossier est protégé par htaccess.
 *
 * @param    [STRING]    $sDir    Chemin du dossier à vérifier.
 * @return    [STRING]            Une classe CSS ' class="protege" ' si le dossier est protégé. Une chaine vide sinon.
 */
function dossierEstProtege( $sDir )
{
    // ajout du slash a la fin du chemin s'il n'y est pas
    if( !preg_match( "`^.*/$`", $sDir ) ) $sDir .= '/';

    // Si un fichier .htpassword existe, c'est que le dossier est protégé
    return (file_exists($sDir.'.htaccess') && file_exists($sDir.'.htpasswd')) ? ' class="protege" title="Le dossier \''.basename($sDir).'\' est protégé par un mot de passe."' : '';
}


/**
 * Conversion d'une taille en octets en taille plus conviviale
 * - exemple: 3245678 donnera 3.2 Mo
 *
 * @since 01/06/2006
 * @version 1.0
 * @author Anthony Nivet <nivux@free.fr>
 * @access public
 *
 * @param	[INTEGER]	$size			Taille en octets à convertir.
 * @param	[INTEGER]	$force			Force une unité: valeur en octets de l'unité (par défaut ajuste la valeur à l'unité la plus proche).
 * 											- exemple : 1024 => forcera l'unité Ko (kilo octets)
 * @param	[STRING]	$dec_point		Séparateur décimal (point par défaut).
 * @param	[STRING]	$thousands_sep	Séparateur des milliers (espace par défaut).
 * @return	[STRING]					Valeur conviviale de la taille.
 */
function sizeToHuman($size, $force=0, $dec_point='.', $thousands_sep=' ')
{
	// table des unités
	$units = array (
		// conversion nom => valeur
		'octets'		=> 1,
		'Kio'			=> 1024,
		'Mio'			=> 1048576,			/* 1024 ^ 2 */
		'Gio'			=> 1073741824,		/* 1024 ^ 3 */
		'To'			=> 1099511627776,	/* 1024 ^ 4 */

    	// conversion valeur => nom
    	1				=> 'octets',
	    1024			=> 'Kio',
	    1048576			=> 'Mio',
	    1073741824 		=> 'Gio',
	    1099511627776	=> 'To',
	);

	// unité forcée ?
	if( $force ) $unit = $units[ $force ];
	if( isset( $unit ) ) $size /= $force;
	else
	{
		// recherche unité la plus proche
		$force	= 1;
		$unit	= $units[$force];
		while( $size > 1024 )
		{
			$size	/= 1024;
			$force	*= 1024;
			if( !$units[$force] ) break; // plus d'unités disponibles ?
			$unit = $units[$force];
		}
	}

	// formate la valeur et la renvoie
	$dec = $size - floor($size) ? 2 : 0;
	return number_format($size, $dec, $dec_point, $thousands_sep) . ' ' . $unit;
}


// =============================================================================
// Création des liens pour le menu Outils
//
$sPhraseAide = '<span>Placez l\'outil dans un dossier nommé "%1" au même niveau que Rootulle pour en disposer.</span>';

$sMenuPhpMyAdmin      = is_dir(JB_RT_NOM_DOSSIER_PHPMYADMIN)    ? '<a href="./'.JB_RT_NOM_DOSSIER_PHPMYADMIN.'/">phpMyAdmin</a>' : 'phpMyAdmin'.str_replace( '%1', JB_RT_NOM_DOSSIER_PHPMYADMIN, $sPhraseAide );
$sMenuEskuel          = is_dir(JB_RT_NOM_DOSSIER_ESKUEL)        ? '<a href="./'.JB_RT_NOM_DOSSIER_ESKUEL.'/">Eskuel</a>' : 'Eskuel'.str_replace( '%1', JB_RT_NOM_DOSSIER_ESKUEL, $sPhraseAide );
$sMenuPhpPgAdmin      = is_dir(JB_RT_NOM_DOSSIER_PHPPGADMIN)    ? '<a href="./'.JB_RT_NOM_DOSSIER_PHPPGADMIN.'/">phpPgAdmin</a>' : 'phpPgAdmin'.str_replace( '%1', JB_RT_NOM_DOSSIER_PHPPGADMIN, $sPhraseAide );
$sMenuSQLiteManager   = is_dir(JB_RT_NOM_DOSSIER_SQLITEMAN)     ? '<a href="./'.JB_RT_NOM_DOSSIER_SQLITEMAN.'/">SQLiteManager</a>' : 'SQLiteManager'.str_replace( '%1', JB_RT_NOM_DOSSIER_SQLITEMAN, $sPhraseAide );

// =============================================================================
// Affichage
//

// Lecture infos
$sMessageImpossible = 'information inaccessible';

if( JB_RT_AFFICHER_INFOS_SERVEUR )
{
    $sVersionApache     = function_exists('apache_get_version') ? apache_get_version() : $sMessageImpossible;
    $sVersionPHP        = function_exists('phpversion') ? phpversion() : $sMessageImpossible;
    $sVersionZend       = function_exists('zend_version') ? zend_version() : $sMessageImpossible;
}

// SQLite
if( JB_RT_AFFICHER_INFOS_SQLITE )
{
    $sVersionSQLite        = function_exists('sqlite_libversion') ? sqlite_libversion() : $sMessageImpossible;
    $sSQLiteEncoding    = function_exists('sqlite_libencoding') ? sqlite_libencoding() : $sMessageImpossible;
}

// MySQL
if( JB_RT_AFFICHER_INFOS_MYSQL )
{
    if( function_exists('mysql_connect') && @mysql_connect() === false )    // Tentative connexion anonyme
    {
        if( @mysql_connect(JB_RT_MYSQL_HOST, JB_RT_MYSQL_LOGIN, JB_RT_MYSQL_MDP) === false ) {
            $sMySQLErreur = 'La connexion au serveur MySQL n\'a pas pu se faire. Les connexions
                            anonymes sont interdites.<br /><br /> Vous pouvez définir dans la configuration
                            les informations nécessaires à l\'établissement d\'une connexion.<br /><br />
                            Si vous l\'avez déjà fait et que vous voyez toujours ce message,
                            c\'est que les informations données sont incorrectes.';
        }
    }
    $sMySQLHostInfo     = function_exists('mysql_get_host_info') ? @mysql_get_host_info() : $sMessageImpossible;
    $sMySQLServerInfo   = function_exists('mysql_get_server_info') ? @mysql_get_server_info() : $sMessageImpossible;
    $sMySQLProtoInfo    = function_exists('mysql_get_proto_info') ? @mysql_get_proto_info() : $sMessageImpossible;
}

// PostgreSQL
if( JB_RT_AFFICHER_INFOS_PGSQL )
{
  //$sConnexionString = "host=".JB_RT_MYSQL_HOST." port=5432 dbname=test user=agneau password=bar";
  $sConnexionString = 'host=localhost dbname=template1 user=' . JB_RT_PGSQL_LOGIN . ' password=' . JB_RT_PGSQL_MDP ;

  $sPgVersion = '';
  $sPgHost = '' ;

  if ( function_exists("pg_connect") ) {

    if( ( $pg_conn = @pg_connect( $sConnexionString ) ) === false ) {

      $sPgSQLErreur = 'Erreur lors de la connexion au serveur PostgreSQL.';

    } else {

      $sPgHost = function_exists('pg_host') ? pg_host($pg_conn) : '' ;

      if( function_exists('pg_version') ) {
        $v = pg_version($pg_conn) ;
        if ( isset($v['server']) ) $sPgVersion = $v['server'];
      }

      if( !isset( $sPgVersion ) ) {
        $sql = "SELECT VERSION() AS version";
        $result = @pg_query( $sql ) ;
        while( ($line = @pg_fetch_array( $result, null, PGSQL_ASSOC )) !== false ) {
          $aParams = explode(' ', $line['version']);
          $pg_version = $aParams[1] ;
        }
        @pg_free_result( $result );
      }

      @pg_close( $pg_conn ) ;

    }

  }

  $sPgSQLServerInfo = ( $sPgVersion )	? $sPgVersion	: $sMessageImpossible;
  $sPgSQLHostInfo   = ( $sPgHost )		? $sPgHost		: $sMessageImpossible;
}

header( 'Content-Type: text/html; charset=utf-8' );
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">

    <head>

        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta http-equiv="Content-Style-Type" content="text/css" />

        <title><?php echo '.: ',JB_RT_TITRE,' :.'; ?></title>

        <style type="text/css">
        <!--
            <?php echo $sCssStructure,$sCssStyle; ?>
        -->
        </style>

    </head>

    <body>

        <!-- DEBUT bloc principal : il contient l'intégralité de la page -->
        <div id="site">

            <!-- DEBUT entete -->
            <div id="header">

                <h1><span><?php echo JB_RT_TITRE; ?></span></h1>
                <h2><?php echo JB_RT_SOUS_TITRE; ?></h2>

                <?php if( JB_RT_AFFICHER_OUTILS ) { ?>
                <!-- DEBUT menu -->
                <ul id="menu">
                    <li class="item">
                        <span class="titre">Outils</span>

                        <div id="outils" class="sousmenu">

                            <ul>
                                <li class="sousitem"><a href="<?php echo $_SERVER['PHP_SELF']; ?>?act=infos">Informations PHP</a></li>
                                <li class="separateur"><hr />MySQL</li>
                                <li class="sousitem"><?php echo $sMenuPhpMyAdmin; ?></li>
                                <li class="sousitem"><?php echo $sMenuEskuel; ?></li>
                                <li class="separateur"><hr />PostgreSQL</li>
                                <li class="sousitem"><?php echo $sMenuPhpPgAdmin; ?></li>
                                <li class="separateur"><hr />SQLite</li>
                                <li class="sousitem"><?php echo $sMenuSQLiteManager; ?></li>
                            </ul>

                        </div>
                    </li>
                </ul>
                <!-- FIN menu -->
                <?php } ?>

            </div>
            <!-- FIN entete -->

            <!-- DEBUT bloc explorateur -->
            <div id="browse">
                <h3><span>Exploration</span></h3>

                <?php if( sizeof($aListe) !== 0 ) { ?>
                <div id="liste">
                    <table summary="Liste des dossiers">

                        <thead>
                            <tr>
                                <th>Nom</th>
                                <?php if( JB_RT_LISTE_AVEC_POIDS ) { ?><th class="col2">Taille</th><?php } ?>
                            </tr>
                        </thead>

                        <tbody>
                        <?php
                        for( $i = 0 ; $i < sizeof( $aListe ) ; $i++ )
                        {
                            echo '<tr>'.chr(10).chr(13).chr(9);
                            echo '    <td class="col1"><a href="'.$aListe[$i].'/"'.dossierEstProtege($aListe[$i]).'><span>'.$aListe[$i].'</span></a></td>'.chr(10).chr(13).chr(9);
                            if( JB_RT_LISTE_AVEC_POIDS )
                                echo '    <td class="col2">'.sizeToHuman( TailleDossier( dirname( $_SERVER['SCRIPT_FILENAME'] ).'/'.$aListe[$i] ) ).'</td>'.chr(10).chr(13);
                            echo '</tr>'.chr(10).chr(13);
                        }
                        ?>
                        </tbody>

                    </table>
                </div>
                <?php } else { ?>
                <div class="ficheconfig">
                    <p><span>Il n'y a pas de dossier à lister ici.</span></p>
                </div>
                <?php } ?>

            </div>
            <!-- FIN bloc explorateur -->

            <?php if( JB_RT_AFFICHER_INFOS ) { ?>
            <!-- DEBUT bloc informations générales -->
            <div id="infos">

                <h3><span>Informations sur le serveur</span></h3>

                <?php if( JB_RT_AFFICHER_INFOS_SERVEUR ) { ?>
                <div id="serveur" class="fiche">
                    <h4><span>Serveur</span></h4>

                    <p><span>Version d'Apache :</span><br /> <?php echo $sVersionApache; ?></p>
                    <p><span>Version de PHP :</span><br /> <?php echo $sVersionPHP; ?><br /></p>
                    <p><span>Version du moteur Zend :</span><br /> <?php echo $sVersionZend; ?></p>
                </div>
                <?php } ?>

                <?php if( JB_RT_AFFICHER_INFOS_SQLITE ) { ?>
                <div id="sqlite" class="fiche">
                    <h4><span>SQLite</span></h4>

                    <p><span>Version de la librairie SQLite :</span><br /> <?php echo $sVersionSQLite; ?></p>
                    <p><span>Encodage actif :</span><br /> <?php echo $sSQLiteEncoding; ?></p>
                </div>
                <?php } ?>

                <?php if( JB_RT_AFFICHER_INFOS_MYSQL ) { ?>
                <div id="mysql" class="fiche">
                    <h4><span>MySQL</span></h4>

                    <?php if( !empty($sMySQLErreur) ) { echo "<p><span class=\"erreur\">$sMySQLErreur</span></p>"; } else { ?>
                    <p><span>Hôte MySQL :</span><br /> <?php echo $sMySQLHostInfo; ?></p>
                    <p><span>Version de MySQL :</span><br /> <?php echo $sMySQLServerInfo; ?></p>
                    <p><span>Version du protocole MySQL :</span><br /> <?php echo $sMySQLProtoInfo; ?></p>
                    <?php } ?>
                </div>
                <?php } ?>

				<?php if( JB_RT_AFFICHER_INFOS_PGSQL ) { ?>
				<div id="pgsql" class="fiche">
					<h4><span>PostgreSQL</span></h4>

					<?php if( !empty($sPgSQLErreur) ) { echo "<p><span class=\"erreur\">$sPgSQLErreur</span></p>"; } else { ?>
					<p><span>Hôte PostgreSQL :</span><br /> <?php echo $sPgSQLHostInfo; ?></p>
					<p><span>Version de PostgreSQL :</span><br /> <?php echo $sPgSQLServerInfo; ?></p>
					<?php } ?>
				</div>
				<?php } ?>

                <?php if( JB_RT_AFFICHER_INFOS_GD ) { ?>
                <div id="gd" class="fiche">
                    <h4><span>Librairie GD</span></h4>

                    <p><span>Version de la librairie GD :</span><br /> <?php $aGd = gd_info(); echo $aGd['GD Version']; ?></p>
                    <p><span>Support FreeType :</span> <?php echo $aGd['FreeType Support'] ? 'Oui' : 'Non'; ?></p>
                    <p><span>Support T1Lib :</span> <?php echo $aGd['T1Lib Support'] ? 'Oui' : 'Non'; ?></p>
                    <p><span>Lecture des GIF's :</span> <?php echo $aGd['GIF Read Support'] ? 'Oui' : 'Non'; ?></p>
                    <p><span>Création des GIF's :</span> <?php echo $aGd['GIF Create Support'] ? 'Oui' : 'Non'; ?></p>
                    <p><span>Support JPEG :</span> <?php echo $aGd['JPG Support'] ? 'Oui' : 'Non'; ?></p>
                    <p><span>Support PNG :</span> <?php echo $aGd['PNG Support'] ? 'Oui' : 'Non'; ?></p>
                    <p><span>Support WBMP :</span> <?php echo $aGd['WBMP Support'] ? 'Oui' : 'Non'; ?></p>
                    <p><span>Support XBM :</span> <?php echo $aGd['XBM Support'] ? 'Oui' : 'Non'; ?></p>
                </div>
                <?php } ?>

            </div>
            <!-- FIN bloc informations générales -->
            <?php } ?>

            <?php if( JB_RT_AFFICHER_CONFIG ) { ?>
            <!-- DEBUT bloc configuration PHP -->
            <div id="php">
                <h3><span>Configuration PHP</span></h3>

                <div class="ficheconfig">
                    <p><span>register_globals =></span> <?php echo ( ini_get( 'register_globals' ) == '' ) ? 'Off' : 'On <span class="conseil">[Off conseillé]</span>'; ?></p>
                    <p><span>display_errors =></span> <?php echo ( ini_get( 'display_errors' ) == '' ) ? 'Off' : 'On <span class="conseil">[Off conseillé si votre serveur est en production]</span>'; ?></p>
                    <p><span>magiq_quotes_gpc =></span> <?php echo ( ini_get( 'magic_quotes_gpc' ) == '' ) ? 'Off' : 'On'; ?></p>
                    <p><span>Extensions chargées =></span> <?php $aExtensions = get_loaded_extensions(); echo ( sizeof($aExtensions) <> 0 ) ? implode(', ', $aExtensions) : 'Aucune'; ?></p>
                </div>
            </div>
            <!-- FIN bloc configuration PHP -->
            <?php } ?>

        </div>
        <!-- FIN bloc principal -->

        <!-- DEBUT Copyright -->
        <div id="footer">
            <p>
                Proposé par Rootulle &copy; <a href="http://jebulle.net">Bubulles Creations</a> (2006)
                &nbsp;&nbsp;&nbsp;&nbsp;[Rootulle est trop évolué pour IE. <a href="http://jebulle.net/navigateurs_alternatifs.html">Préférez un navigateur alternatif !</a>]
                <a href="http://jebulle.net/index.php?rubrique=rootulle" title="T&eacute;l&eacute;chargez Rootulle">
                    <img src="<?php echo JB_RT_PAGE_NAME.'?img=pastille'; ?>" width="80" height="15" title="T&eacute;l&eacute;chargez Rootulle" alt="T&eacute;l&eacute;chargez Rootulle" />
                </a>
            </p>
        </div>
        <!-- FIN Copyright -->

    </body>

</html>
